<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package Arctecture
 */
$image_404 = arctecture_get_opt( 'img_404' );
$sub_title_404 = arctecture_get_opt( 'sub_title_404', 'oops! look like you are lost' );
$back_to_home = arctecture_get_opt( 'back_to_home', 'Back to Home' );
$top_bar_social = arctecture_get_opt( 'top_bar_social' );
get_header(); ?>
    <div id="primary" class="content-area">
        <main id="main" class="site-main">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <section class="error-404 text-center">
                            <?php if(!empty($image_404['url'])) { ?>
                                <img src="<?php echo esc_url($image_404['url']);?>" alt="<?php echo esc_attr( $sub_title_404 ); ?>" />
                            <?php } ?>
                            <?php if($sub_title_404):?>
                                <h3 class="sub-title-404">
                                    <?php echo esc_attr( $sub_title_404 );?>
                                </h3>
                            <?php endif;?>
                            <?php if($back_to_home):?>
                                <a class="btn-custom btn-outline-primary" href="<?php echo esc_url(home_url('/')); ?>">
                                    <?php echo esc_attr( $back_to_home ); ?>
                                </a>
                            <?php endif;?>
                        </section><!-- .error-404 -->
                    </div>
                </div>
            </div>
            <?php if ( is_active_sidebar( 'footer-social' ) ) : ?>
                <div class="social-404">
                    <div class="container">
                        <div class="row">
                            <?php dynamic_sidebar( 'footer-social' ); ?>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        </main><!-- #main -->
    </div><!-- #primary -->
<?php
get_footer();

