<?php
/**
 * The template for displaying all single service
 *
 * @package Arctecture
 */

get_header();
$service_excerpt = arctecture_get_page_opt( 'service_excerpt' );
$ptitle_meta = arctecture_get_page_opt( 'ptitle_meta' );

$icon_head_deer = arctecture_get_page_opt( 'icon_head_deer' );
$icon_image = arctecture_get_page_opt( 'icon_image' );
$p_layout = arctecture_get_page_opt( 'ptitle_layout' );

?>
<div class="container content-container">
    <div class="row content-row">
        <div id="primary" class="col-12">
            <main id="main" class="site-main">
                <?php while ( have_posts() ) : the_post(); ?>
                    <?php if($p_layout === '1'): ?>
                        <div class="single-service-media">
                            <?php if(!empty( $icon_head_deer['url'] )) { ?>
                                <img class="img-bg-transparent" src="<?php echo esc_url($icon_head_deer['url']);?>" alt="<?php echo esc_attr(get_post_meta( $icon_head_deer, '_wp_attachment_image_alt', true )) ?>" />
                            <?php } ?>
                            <?php if($ptitle_meta) { ?>
                                <h2 class="service-title"><?php echo esc_attr( $ptitle_meta );?></h2>
                            <?php } ?>
                            <?php if($service_excerpt) { ?>
                                <div class="service-excerpt"><?php echo wp_kses_post($service_excerpt);?></div>
                            <?php } ?>
                            <?php if(!empty( $icon_image['url'] )) { ?>
                                <span class="img-icon">
                                    <img src="<?php echo esc_url($icon_image['url']);?>" alt="<?php echo esc_attr(get_post_meta( $icon_image, '_wp_attachment_image_alt', true )) ?>" />
                                </span>
                            <?php } ?>
                        </div>
                    <?php endif;?>
                    
                    <div class="single-service-content">
                        <?php the_content(); ?>
                    </div>
                <?php endwhile; ?>
            </main><!-- #main -->
        </div><!-- #primary -->
    </div>
</div>
<?php
get_footer();