<?php
/**
 * Template Name: Blog Standard
 *
 * @package Arctecture
 */
global $wp_query, $paged;
get_header();
$sidebar_pos = '';
$show_sidebar_page = arctecture_get_page_opt( 'show_sidebar_page', false );
if ($show_sidebar_page){
    $sidebar_pos = arctecture_get_page_opt( 'sidebar_page_pos' );
}
?>
<div class="container content-container">
    <div class="row content-row">
        <div id="primary" <?php arctecture_primary_class( $sidebar_pos, 'content-area' ); ?>>
            <main id="main" class="site-main">
            <?php
                $wp_query->query('post_type=post&showposts='.get_option('posts_per_page').'&paged='.$paged);
                if ( have_posts() )
                {
                    while ( have_posts() )
                    {
                        the_post();

                        /*
                         * Include the Post-Format-specific template for the content.
                         * If you want to override this in a child theme, then include a file
                         * called loop-post-___.php (where ___ is the Post Format name) and that will be used instead.
                         */
                        get_template_part( 'template-parts/content' );
                    }

                    arctecture_posts_pagination();
                }
                else
                {
                    get_template_part( 'template-parts/content', 'none' );
                }

            ?>
            </main><!-- #main -->
        </div><!-- #primary -->

        <?php if ( 'left' == $sidebar_pos || 'right' == $sidebar_pos ) : ?>
            <aside id="secondary" <?php arctecture_secondary_class( $sidebar_pos, 'widget-area' ); ?>>
                <?php get_sidebar(); ?>
            </aside>
        <?php endif; ?>
    </div>
</div>
<?php
get_footer();
