<?php
/**
 * Template part for displaying posts in loop
 *
 * @package Arctecture
 */
$sub_port_title = arctecture_get_page_opt( 'sub_port_title' );

$text_port_11 = arctecture_get_page_opt( 'text_port_11' );
$text_port_12 = arctecture_get_page_opt( 'text_port_12' );
$text_port_21 = arctecture_get_page_opt( 'text_port_21' );
$text_port_22 = arctecture_get_page_opt( 'text_port_22' );
$text_port_31 = arctecture_get_page_opt( 'text_port_31' );
$text_port_32 = arctecture_get_page_opt( 'text_port_32' );
$text_port_41 = arctecture_get_page_opt( 'text_port_41' );
$text_port_42 = arctecture_get_page_opt( 'text_port_42' );

$text_port_excerpt = arctecture_get_page_opt( 'text_port_excerpt' );

?>
<article id="post-<?php the_ID(); ?>" <?php post_class('single-hentry'); ?>>
    <div class="portfolio-title-custome">
        <div class="container">
            <h2 class="entry-title single-title"><?php the_title(); ?></h2>
            <?php if($sub_port_title):?>
                <div class="entry-sub-title"><?php echo esc_attr($sub_port_title);?></div>
            <?php endif;?>
        </div>
    </div>
    <div class="entry-featured">
            <?php
            wp_enqueue_script('owl-carousel');
            wp_enqueue_script('arctecture-carousel');
            $portfolio_gallery = arctecture_get_page_opt('portfolio-gallery-images');
            $portfolio_gallery_list = explode(',', $portfolio_gallery); ?>
            <div class="cms-carousel owl-carousel gallery-carousel owl-arrows-middle-big" data-item-xs="1" data-item-sm="1" data-item-md="1" data-item-lg="1" data-margin="30" data-loop="true" data-autoplay="false" data-autoplaytimeout="5000" data-smartspeed="250" data-center="false" data-arrows="true" data-bullets="false" data-stagepadding="0" data-stagepaddingsm="0" data-rtl="false">
                 <?php foreach ($portfolio_gallery_list as $img_id): ?>
                        <div class="post-type-gallery-item">
                            <img src="<?php echo esc_url(wp_get_attachment_image_url($img_id, 'arctecture-portfolio'));?>" alt="<?php echo esc_attr(get_post_meta( $img_id, '_wp_attachment_image_alt', true )) ?>" />
                        </div>
                 <?php endforeach; ?>
            </div>
    </div><!-- .entry-featured -->

    <div class="entry-holder"> 
        <div class="container">
            <div class="grap-portfolio-info">
                <?php if($text_port_11 || $text_port_12):?>
                    <div class="box-info box-info-1">
                        <div class="innerb-box">
                            <span class="title-port-info"><?php echo esc_attr($text_port_11);?></span>
                            <span><?php echo esc_attr($text_port_12);?></span>
                        </div>
                    </div>
                <?php endif;?>
                <?php if($text_port_21 || $text_port_22):?>
                    <div class="box-info box-info-2">
                        <div class="innerb-box">
                            <span class="title-port-info"><?php echo esc_attr($text_port_21);?></span>
                            <span><?php echo esc_attr($text_port_22);?></span>
                        </div>
                    </div>
                <?php endif;?>
                <?php if($text_port_31 || $text_port_32):?>
                    <div class="box-info box-info-3">
                        <div class="innerb-box">
                            <span class="title-port-info"><?php echo esc_attr($text_port_31);?></span>
                            <span><?php echo esc_attr($text_port_32);?></span>
                        </div>
                    </div>
                <?php endif;?>
                <?php if($text_port_41 || $text_port_42):?>
                    <div class="box-info box-info-4">
                        <div class="innerb-box">
                            <span class="title-port-info"><?php echo esc_attr($text_port_41);?></span>
                            <span><?php echo esc_attr($text_port_42);?></span>
                        </div>
                    </div>
                <?php endif;?>
            </div>
        </div>
        <?php if($text_port_excerpt) :?>
            <div class="container">
                <div class="portfolio-excerpt">
                    <?php echo wp_kses_post($text_port_excerpt);?>
                </div>
            </div>
        <?php endif;?>
        <div class="entry-content clearfix">
            <div class="container">
                <?php echo get_the_content();?>
            </div>
        </div><!-- .entry-content -->
    </div>
</article><!-- #post -->