<?php
/**
 * Template part for displaying results in search pages
 *
 * @package Arctecture
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('single-hentry'); ?>>
    <div class="row">
        <div class="col-xl-5 col-lg-5 col-md-5 col-sm-12">
            <div class="entry-featured">
                <?php
                if (has_post_thumbnail()) {
                    echo '<div class="post-image">'; ?>
                    <a href="<?php echo esc_url(get_permalink()); ?>"><?php the_post_thumbnail('large'); ?></a>
                    <?php echo '</div>';
                }
                ?>
            </div><!-- .entry-featured -->
        </div>
        <div class="col-xl-7 col-lg-7 col-md-7 col-sm-12">
            <div class="entry-holder">
                <h2 class="entry-title">
                    <a href="<?php echo esc_url(get_permalink()); ?>" rel="bookmark">
                        <?php the_title(); ?>
                    </a>
                </h2>
                <?php arctecture_archive_meta(); ?>
                <div class="entry-content clearfix">
                    <?php
                        arctecture_entry_excerpt();
                        wp_link_pages(array(
                            'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__('Pages:', 'arctecture') . '</span>',
                            'after'       => '</div>',
                            'link_before' => '<span>',
                            'link_after'  => '</span>',
                        ));
                    ?>
                </div>

                <div class="entry-more">
                    <a href="<?php echo esc_url(get_permalink()); ?>"><?php echo esc_html__('Read More', 'arctecture') ?> <i
                                class="fa fa-angle-double-right"></i></a>
                </div>
            </div>
        </div>
    </div>
</article><!-- #post -->