<?php
/**
 * Template part for displaying default footer layout
 */
$footer_copyright = arctecture_get_opt( 'footer_copyright', '© Copyright 2018 - <a href="http://farost.net">Farost</a> - All right reserved.');
?>
<footer id="colophon" class="site-footer">
    <?php if ( is_active_sidebar( 'sidebar-footer-1' ) || is_active_sidebar( 'sidebar-footer-2' ) || is_active_sidebar( 'sidebar-footer-3' ) || is_active_sidebar( 'sidebar-footer-4' ) ) : ?>
        <div class="top-footer bg-overlay">
            <div class="container">
                <div class="row">
                    <?php arctecture_footer_top(); ?>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <?php if ( is_active_sidebar( 'footer-social' ) ) : ?>
        <div class="medium-footer">
            <div class="container">
                <?php dynamic_sidebar( 'footer-social' ); ?>
            </div>
        </div>
    <?php endif; ?>
    <div class="bottom-footer">
        <div class="container bottom-footer-container">
            <div class="row">
                <div class="copyright-content">
                    <?php
                    if ($footer_copyright) {
                        echo wp_kses_post($footer_copyright);
                    } else {
                        echo wp_kses_post('&copy; Copyright '.esc_attr(date("Y")).'. All rights reserved.');
                    } ?>
                </div>
            </div><!-- .site-info -->
        </div>
    </div>
</footer><!-- #colophon -->