<?php
/**
 * Template part for displaying default header layout
 */

$rf_class = '';
if (class_exists('ReduxFramework')) {
    $rf_class = 'rf-active';
} else {
    $rf_class = 'rf-no-active';
}

$sticky_on = arctecture_get_opt( 'sticky_on', false );
$h_seach_icon = arctecture_get_opt( 'h_seach_icon', true );
$h_btn_text = arctecture_get_opt( 'h_btn_text' );
$h_btn_link = arctecture_get_opt( 'h_btn_link' );

$top_bar_social = arctecture_get_opt( 'top_bar_social' );
$top_bar_address = arctecture_get_opt( 'top_bar_address', ' 137 Worcester St, Barrow-in-Furness LA13 9DB, UK' );
$top_bar_email = arctecture_get_opt( 'top_bar_email', 'arcarchitecture@mail.com' );

?>
<header id="masthead" class="site-header">
    <div id="site-header-wrap" class="header-layout1 <?php echo esc_attr( $rf_class ); ?> <?php if($sticky_on == 1) { echo 'is-sticky'; } else { echo 'no-sticky'; } ?>">
        <div class="topbar-panel">
            <div class="container">
                <div class="row">                    
                    <div class="col-lg-8 col-md-8 col-xs-12">
                        <ul class="site-header-slogan">
                            <?php if(!empty($top_bar_address)) : ?>
                                <li>
                                    <i class="fa fa-map-marker" aria-hidden="true"></i> <?php echo wp_kses_post( $top_bar_address ); ?>
                                </li>
                            <?php endif; ?>
                            
                            <?php if($top_bar_email) : ?>
                                <li>
                                    <a href="<?php echo esc_url( $top_bar_email ); ?>"><i class="fa fa-envelope-o" aria-hidden="true"></i> <?php echo wp_kses_post( $top_bar_email ); ?></a>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                    <?php if(!empty($top_bar_social)):?>
                    <div class="col-lg-4 col-md-4 col-xs-12 xs-hidden">
                        <ul class="ul-social header-social">
                            <?php get_template_part('template-parts/social');?>
                        </ul>
                    </div>
                    <?php endif;?>
                </div>
            </div>
        </div>
        <div id="headroom" class="site-header-main">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="header-wrap">
                            <div class="button-menu">
                                <div class="bar1"></div>
                                <div class="bar2"></div>
                                <div class="bar3"></div>
                            </div>
                            <div class="site-branding">
                               <?php get_template_part( 'template-parts/header-branding' ); ?>
                            </div>
                            <nav id="site-navigation" class="main-navigation">
                                <?php get_template_part( 'template-parts/header-menu' ); ?>
                            </nav>
                            <?php if($h_seach_icon || !empty($h_btn_text)) : ?>
                                <div class="site-menu-right d-none d-lg-block">
                                    <span class="menu-right-item h-btn-search"><i class="fa fa-search"></i></span>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="main-menu-mobile">
            <span class="btn-nav-mobile open-menu">
                <span></span>
            </span>
            <?php if($h_seach_icon) : ?>
                <span id="search-mobile">
                    <span class="h-btn-search"><i class="fa fa-search"></i></span>
                </span>
            <?php endif; ?>
        </div>
    </div>
</header>