<?php
vc_map(array(
    "name" => 'Button',
    "base" => "cms_button",
    "icon" => "cs_icon_for_vc",
    "category" => esc_html__('Theme Shortcodes', 'arctecture'),
    "params" => array(
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Text', 'arctecture' ),
            "param_name" => "button_text",
            "value" => '',
            'admin_label' => true,
            "group" => esc_html__("Button Settings", 'arctecture')
        ),
        array(
            "type" => "vc_link",
            "class" => "",
            "heading" => esc_html__("Link", 'arctecture'),
            "param_name" => "button_link",
            "value" => '',
            "group" => esc_html__("Button Settings", 'arctecture')
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Button Style", 'arctecture'),
            'param_name' => 'button_style',
            'value' => array(
                'Button Default 1x' => 'btn-default',
                'Button Default 2x' => 'btn-default btn-2x',
                'Button Outline Primary' => 'btn-outline-primary',
            ),
            "group" => esc_html__("Button Settings", 'arctecture'),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Text Transform", 'arctecture'),
            'param_name' => 'text_transform',
            'value' => array(
                'Normal' => 'none',
                'Uppercase' => 'uppercase',
                'Lowercase' => 'lowercase',
                'Capitalize' => 'capitalize',
                'Unset' => 'unset'
            ),
            "group" => esc_html__("Button Settings", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Font Size", 'arctecture'),
            "param_name" => "font_size",
            "description" => "Enter: ..px",
            "group" => esc_html__("Button Settings", 'arctecture'),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Button Shapes", 'arctecture'),
            'param_name' => 'button_shapes',
            'value' => array(
                'Button Normal' => '',
                'Button Round' => 'btn-round',
            ),
            "group" => esc_html__("Button Settings", 'arctecture'),
        ),  
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Font Weight", 'arctecture'),
            'param_name' => 'font_weight',
            'value' => array(
                '400' => '400',
                '500' => '500',
                '600' => '600',
                '700' => '700',
                '800' => '800',
            ),
            'std' => '600',
            "group" => esc_html__("Button Settings", 'arctecture'),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Button Align LG", 'arctecture'),
            'param_name' => 'button_align',
            'value' => array(
                'Left' => 'left',                
                'Center' => 'center',        
                'Right' => 'right',        
            ),
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group" => esc_html__("Button Settings", 'arctecture'),
        ), 
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Button Align MD", 'arctecture'),
            'param_name' => 'button_align_md',
            'value' => array(
                'Left' => 'left',                
                'Center' => 'center',        
                'Right' => 'right',        
            ),
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group" => esc_html__("Button Settings", 'arctecture'),
        ), 
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Button Align SM", 'arctecture'),
            'param_name' => 'button_align_sm',
            'value' => array(
                'Left' => 'left',                
                'Center' => 'center',        
                'Right' => 'right',        
            ),
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group" => esc_html__("Button Settings", 'arctecture'),
        ), 
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Button Align XS", 'arctecture'),
            'param_name' => 'button_align_xs',
            'value' => array(
                'Left' => 'left',                
                'Center' => 'center',        
                'Right' => 'right',        
            ),
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group" => esc_html__("Button Settings", 'arctecture'),
        ), 
        /* Padding */
        array(
            "type" => "textfield",
            "heading" => esc_html__("Padding Top", 'arctecture'),
            "param_name" => "padding_top",
            "description" => "Enter px, em",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group" => esc_html__("Button Settings", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Padding Right", 'arctecture'),
            "param_name" => "padding_right",
            "description" => "Enter px, em",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group" => esc_html__("Button Settings", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Padding Bottom", 'arctecture'),
            "param_name" => "padding_bottom",
            "description" => "Enter px, em",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group" => esc_html__("Button Settings", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Padding Left", 'arctecture'),
            "param_name" => "padding_left",
            "description" => "Enter px, em",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group" => esc_html__("Button Settings", 'arctecture'),
        ),
        /* Border radius */
        /* Padding */
        array(
            "type" => "textfield",
            "heading" => esc_html__("Border Radius Top", 'arctecture'),
            "param_name" => "br_top",
            "description" => "Enter px, em",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group" => esc_html__("Button Settings", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Border Radius Right", 'arctecture'),
            "param_name" => "br_right",
            "description" => "Enter px, em",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group" => esc_html__("Button Settings", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Border Radius Bottom", 'arctecture'),
            "param_name" => "br_bottom",
            "description" => "Enter px, em",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group" => esc_html__("Button Settings", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Border Radius Left", 'arctecture'),
            "param_name" => "br_left",
            "description" => "Enter px, em",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group" => esc_html__("Button Settings", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( "Extra class name", "arctecture" ),
            "param_name" => "el_class",
            "description" => esc_html__( "Style particular content element differently - add a class name and refer to it in Custom CSS.", "arctecture" ),
            "group"            => esc_html__("Button Settings", "arctecture")
        ),
        /* Icon */
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Icon Type", 'arctecture'),
            'param_name' => 'icon_type',
            'value' => array(
                'Icon' => 'icon',        
                'Image' => 'image',        
            ),
            "group" => esc_html__("Icon", 'arctecture'),
            "dependency" => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_fancybox.php",
                    "cms_fancybox--layout2.php",
                )
            ),
        ),  
        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Image', 'arctecture' ),
            'param_name' => 'icon_image',
            'value' => '',
            'description' => esc_html__( 'Select icon image from media library.', 'arctecture' ),
            "dependency" => array(
                "element"=>"icon_type",
                "value"=>array(
                    "image",
                )
            ),
            "group" => esc_html__("Icon", 'arctecture'),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Icon Library', 'arctecture' ),
            'value' => array(
                esc_html__( 'Font Awesome', 'arctecture' ) => 'fontawesome',
                esc_html__( 'Material Design', 'arctecture' ) => 'material_design',
                esc_html__( 'ET Line', 'arctecture' ) => 'etline',
            ),
            'param_name' => 'icon_list',
            'description' => esc_html__( 'Select icon library.', 'arctecture' ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'icon',
            ),
            "group" => esc_html__("Icon", 'arctecture'),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon Material', 'arctecture' ),
            'param_name' => 'icon_material_design',
            'settings' => array(
                'emptyIcon' => true,
                'type' => 'material-design',
                'iconsPerPage' => 200,
            ),
            'dependency' => array(
                'element' => 'icon_list',
                'value' => 'material_design',
            ),
            'description' => esc_html__( 'Select icon from library.', 'arctecture' ),
            "group" => esc_html__("Icon", 'arctecture'),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon FontAwesome', 'arctecture' ),
            'param_name' => 'icon_fontawesome',
            'value' => '',
            'settings' => array(
                'emptyIcon' => true,
                'type' => 'fontawesome',
                'iconsPerPage' => 200,
            ),
            'dependency' => array(
                'element' => 'icon_list',
                'value' => 'fontawesome',
            ),
            'description' => esc_html__( 'Select icon from library.', 'arctecture' ),
            "group" => esc_html__("Icon", 'arctecture'),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon ET Line', 'arctecture' ),
            'param_name' => 'icon_etline',
            'settings' => array(
                'emptyIcon' => true,
                'type' => 'etline',
                'iconsPerPage' => 200,
            ),
            'dependency' => array(
                'element' => 'icon_list',
                'value' => 'etline',
            ),
            'description' => esc_html__( 'Select icon from library.', 'arctecture' ),
            "group" => esc_html__("Icon", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Font Size", 'arctecture'),
            "param_name" => "icon_font_size",
            "description" => "Enter px, em",
            "group" => esc_html__("Icon", 'arctecture'),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'icon',
            ),
        ),

        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Icon Align", 'arctecture'),
            'param_name' => 'icon_align',
            'value' => array(
                'Left' => 'icon-left',        
                'Right' => 'icon-right',        
            ),
            "group" => esc_html__("Icon", 'arctecture'),
        ), 
    )
));

class WPBakeryShortCode_cms_button extends CmsShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>