<?php
vc_map(array(
    "name" => 'MediaBox',
    "base" => "cms_mediabox",
    "icon" => "cs_icon_for_vc",
    "category" => esc_html__('Theme Shortcodes', 'arctecture'),
    "params" => array(
        /* Textbox Template */
        array(
            'type' => 'cms_template_img',
            'param_name' => 'cms_template',
            "shortcode" => "cms_mediabox",
            "heading" => esc_html__("Shortcode Template", 'arctecture'),
            "admin_label" => true,
            "group" => esc_html__("Template", 'arctecture'),
        ),
        /* Title */
        array(
            "type" => "textarea",
            "heading" => esc_html__("Title", 'arctecture'),
            "param_name" => "title",
            "description" => "Enter title.",
            "group" => esc_html__("Title", 'arctecture'),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Title Color", 'arctecture'),
            "param_name" => "title_color",
            "value" => "",
            "group" => esc_html__("Title", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Font Size", 'arctecture'),
            "param_name" => "title_size",
            'value' => '',
            "description" => "Enter: ...px; Default 35px",
            "group" => esc_html__("Title", 'arctecture'),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Text Transform", 'arctecture'),
            'param_name' => 'title_transform',
            'value' => array(
                'Normal' => 'none',
                'Uppercase' => 'uppercase',
                'Lowercase' => 'lowercase',
                'Capitalize' => 'capitalize',
                'Unset' => 'unset'
            ),
            "group" => esc_html__("Title", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Margin Bottom", 'arctecture'),
            "param_name" => "title_margin_bottom",
            'value' => '',
            "description" => "Enter margin bottom for Title ...px",
            "group" => esc_html__("Title", 'arctecture'),
        ),
        /*Sub title*/
        array(
            "type" => "textarea",
            "heading" => esc_html__("Sub Title", 'arctecture'),
            "param_name" => "sub_title",
            "description" => "Enter title.",
            "group" => esc_html__("Sub Title", 'arctecture'),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Text Color", 'arctecture'),
            "param_name" => "sub_color",
            "value" => "",
            "group" => esc_html__("Sub Title", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Sub Title Font-size", 'arctecture'),
            "param_name" => "sub_size",
            'value' => '',
            "description" => "Enter: ...px, Default: 20px;",
            "group" => esc_html__("Sub Title", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Letter Spacing', 'arctecture' ),
            "param_name" => "sub_letter_spacing",
            "value" => '',
            "description" => "Enter: ..px, ...em",
            "group"      => esc_html__("Sub Title", "arctecture"),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Text Transform", 'arctecture'),
            'param_name' => 'sub_transform',
            'value' => array(
                'Normal' => 'none',
                'Uppercase' => 'uppercase',
                'Lowercase' => 'lowercase',
                'Capitalize' => 'capitalize',
                'Unset' => 'unset'
            ),
            "group" => esc_html__("Sub Title", 'arctecture'),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Font Weight", 'arctecture'),
            'param_name' => 'sub_fontweight',
            'value' => array(
                '300' => '300',
                '400' => '400',
                '500' => '500',
                '600' => '600',
                '700' => '700',
                '800' => '800',
            ),
            "group" => esc_html__("Sub Title", 'arctecture'),
        ),
        /* Description Setting */
        array(
            "type" => "textarea",
            "heading" => esc_html__("Description", 'arctecture'),
            "param_name" => "description",
            "description" => "Enter description.",
            "group" => esc_html__("Description", 'arctecture'),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Description Color", 'arctecture'),
            "param_name" => "description_color",
            "description" => "Select color for Description, Default color #666666;",
            "value" => "",
            "group" => esc_html__("Description", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Font-size", 'arctecture'),
            "param_name" => "description_size",
            'value' => '',
            "description" => "Enter: ...px, Default: 14px;",
            "group" => esc_html__("Description", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Line height large', 'arctecture' ),
            "param_name" => "line_height_des",
            "value" => '',
            "description" => "Enter: ..px",
            "group" => esc_html__("Description", 'arctecture'),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Font Weight", 'arctecture'),
            'param_name' => 'description_fontweight',
            'value' => array(
                '300' => '300',
                '400' => '400',
                '500' => '500',
                '600' => '600',
                '700' => '700',
                '800' => '800',
            ),
            "group" => esc_html__("Description", 'arctecture'),
        ),
        /* Icon */
        array(
            'type' => 'attach_image',
            "heading" => esc_html__("Image Background Transparent", 'arctecture'),
            "param_name" => "bg_textbox_image",
            'description' => esc_html__( 'Select image from media library.', 'arctecture' ),
            "value" => "", 
            "group" => esc_html__("Images", 'arctecture'),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Icon Type", 'arctecture'),
            'param_name' => 'icon_type',
            'value' => array(
                'Icon' => 'icon',        
                'Image' => 'image',        
            ),
            "group" => esc_html__("Images", 'arctecture'),
        ),  
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Icon Color", 'arctecture'),
            "param_name" => "icon_color",
            "value" => "",
            "group" => esc_html__("Images", 'arctecture'),
        ),
        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Image', 'arctecture' ),
            'param_name' => 'icon_image',
            'value' => '',
            'description' => esc_html__( 'Select icon image from media library.', 'arctecture' ),
            "dependency" => array(
                "element"=>"icon_type",
                "value"=>array(
                    "image",
                )
            ),
            "group" => esc_html__("Images", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Margin Icon Top", 'arctecture'),
            "param_name" => "mr_icon_top",
            'value' => '',
            "description" => "Enter margin top for Icon ...px",
            "group" => esc_html__("Images", 'arctecture'),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Icon Library', 'arctecture' ),
            'value' => array(
                esc_html__( 'Font Awesome', 'arctecture' ) => 'fontawesome',
            ),
            'param_name' => 'icon_list',
            'description' => esc_html__( 'Select icon library.', 'arctecture' ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'icon',
            ),
            "group" => esc_html__("Images", 'arctecture'),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => esc_html__( 'Icon FontAwesome', 'arctecture' ),
            'param_name' => 'icon_fontawesome',
            'value' => '',
            'settings' => array(
                'emptyIcon' => true,
                'type' => 'fontawesome',
                'iconsPerPage' => 200,
            ),
            'dependency' => array(
                'element' => 'icon_list',
                'value' => 'fontawesome',
            ),
            'description' => esc_html__( 'Select icon from library.', 'arctecture' ),
            "group" => esc_html__("Images", 'arctecture'),
        ),

        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Custom Google Fonts", 'arctecture'),
            'param_name' => 'custom_fonts',
            'value' => array(
                'No' => 'false',       
                'Yes' => 'true',       
            ),
            "group" => esc_html__("Title", 'arctecture'),
        ),
        array(
            'type' => 'google_fonts',
            'param_name' => 'google_fonts',
            'value' => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
            'settings' => array(
                'fields' => array(
                    'font_family_description' => esc_html__( 'Select font family.', 'arctecture' ),
                    'font_style_description' => esc_html__( 'Select font styling.', 'arctecture' ),
                ),
            ),
            "dependency" => array(
                "element"=>"custom_fonts",
                "value"=>array(
                    "true",
                )
            ),
            "group" => esc_html__("Title", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Text', 'arctecture' ),
            "param_name" => "button_text",
            "value" => '',
            'admin_label' => true,
            "group" => esc_html__("Button", 'arctecture'),
        ),
        array(
            "type" => "vc_link",
            "class" => "",
            "heading" => esc_html__("Link", 'arctecture'),
            "param_name" => "button_link",
            "value" => '',
            "group" => esc_html__("Button", 'arctecture'),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Font Weight", 'arctecture'),
            'param_name' => 'bt_fontweight',
            'value' => array(
                '300' => '300',
                '400' => '400',
                '500' => '500',
                '600' => '600',
                '700' => '700',
                '800' => '800',
            ),
            "group" => esc_html__("Button", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Margin Top", 'arctecture'),
            "param_name" => "bt_margin_top",
            'value' => '',
            "description" => "Enter Margin Top ...px",
            "group" => esc_html__("Button", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Margin Top", 'arctecture'),
            "param_name" => "margin_top",
            'value' => '',
            "description" => "Enter Margin Top ...px",
            "group" => esc_html__("Setting", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Padding Box", 'arctecture'),
            "param_name" => "padding",
            'value' => '',
            "description" => "Enter Padding Box(Top, Right, Bottom, Lef), Default: 90px 100px",
            "group" => esc_html__("Setting", 'arctecture'),
        ),
    )
));

class WPBakeryShortCode_cms_mediabox extends CmsShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>