<?php
$args = array(
    'name' => 'Portfolio Carousel',
    'base' => 'cms_portfolio_carousel',
    'class' => 'vc-cms-carousel-portfolio',
    'category' => esc_html__('Theme Shortcodes', 'arctecture'),
    'params' => array(

        array(
            'type' => 'cms_template_img',
            'param_name' => 'cms_template',
            'shortcode' => 'cms_portfolio_carousel',
            'heading' => esc_html__('Shortcode Template', 'arctecture'),
            'admin_label' => true,
            'group' => esc_html__('Template', 'arctecture'),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'arctecture' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'arctecture' ),
            'group'            => esc_html__('Template', 'arctecture')
        ),
        array(
            'type' => 'animation_style',
            'heading' => esc_html__( 'Animation Style', 'arctecture' ),
            'param_name' => 'animation',
            'description' => esc_html__( 'Choose your animation style', 'arctecture' ),
            'admin_label' => false,
            'weight' => 0,
            'group' => esc_html__('Template', 'arctecture'),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Image size', 'arctecture' ),
            'param_name' => 'img_size',
            'value' => '',
            'description' => esc_html__( "Enter image size (Example: 'thumbnail', 'medium', 'large', 'full' or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height). ", "arctecture" ),
            'group' => esc_html__('Source Settings', 'arctecture'),
        ),
        array(
            'type'       => 'checkbox',
            'heading'    => esc_html__('Custom Source', 'arctecture'),
            'param_name' => 'custom_source',
            'value'      => '1',
            'description'        => 'Check here if you want custom source',
            'group'      => esc_html__('Source Settings', 'arctecture')
        ),
        array(
            'type'       => 'autocomplete',
            'heading'    => esc_html__('Select Categories', 'arctecture'),
            'param_name' => 'source',
            'description' => esc_html__('Leave blank to select all category', 'arctecture'),
            'settings'   => array(
                'multiple' => true,
                'values'   => $term_list['auto_complete'],
            ),
            'dependency' => array(
                'element'=>'custom_source',
                'value'=>array(
                    'true',
                )
            ),
            'group'      => esc_html__('Source Settings', 'arctecture'),
        ),
        array(
            'type'       => 'autocomplete',
            'class'      => '',
            'heading'    => esc_html__('Select Post Name', 'arctecture'),
            'param_name' => 'post_ids',
            'description' => esc_html__('Leave blank to show all post', 'arctecture'),
            'settings'   => array(
                'multiple' => true,
                'values'   => cms_get_type_posts_data('portfolio')
            ),
            'dependency' => array(
                'element'=>'custom_source',
                'value'=>array(
                    'true',
                )
            ),
            'group'      => esc_html__('Source Settings', 'arctecture'),
        ),
        array(
            'type'       => 'dropdown',
            'heading'    => esc_html__('Order by', 'arctecture'),
            'param_name' => 'orderby',
            'value'      => array(
                'Date'   => 'date',
                'ID'     => 'ID',
                'Author' => 'author',
                'Title'  => 'title',
                'Random' => 'rand',
            ),
            'std'        => 'date',
            'group'      => esc_html__('Source Settings', 'arctecture')
        ),
        array(
            'type'       => 'dropdown',
            'heading'    => esc_html__('Sort order', 'arctecture'),
            'param_name' => 'order',
            'value'      => array(
                'Ascending'  => 'ASC',
                'Descending' => 'DESC',
            ),
            'std'        => 'DESC',
            'group'      => esc_html__('Source Settings', 'arctecture')
        ),
        array(
            'type'       => 'textfield',
            'heading'    => esc_html__('Total items', 'arctecture'),
            'param_name' => 'limit',
            'value'      => '6',
            'group'      => esc_html__('Source Settings', 'arctecture'),
            'description' => esc_html__('Set max limit for items in grid. Enter number only', 'arctecture'),
        ),
    ));

$args = arctecture_add_vc_extra_param($args);
vc_map($args);

class WPBakeryShortCode_cms_portfolio_carousel extends CmsShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>