<?php
$term_list = cms_get_grid_term_list('service');
$args = array(
    'name' => 'Service Carousel',
    'base' => 'cms_service_carousel',
    'class' => 'vc-cms-carousel-service',
    'category' => esc_html__('Theme Shortcodes', 'arctecture'),
    'params' => array(

        array(
            'type' => 'cms_template_img',
            'param_name' => 'cms_template',
            'shortcode' => 'cms_service_carousel',
            'heading' => esc_html__('Shortcode Template', 'arctecture'),
            'admin_label' => true,
            'group' => esc_html__('Template', 'arctecture'),
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'arctecture' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'arctecture' ),
            'group'            => esc_html__('Template', 'arctecture')
        ),
        array(
            'type'       => 'checkbox',
            'heading'    => esc_html__('Custom Source', 'arctecture'),
            'param_name' => 'custom_source',
            'value'      => '1',
            'description'        => 'Check here if you want custom source',
            'group'      => esc_html__('Source Settings', 'arctecture')
        ),
        array(
            'type'       => 'autocomplete',
            'heading'    => esc_html__('Select Categories', 'arctecture'),
            'param_name' => 'source',
            'description' => esc_html__('Leave blank to select all category', 'arctecture'),
            'settings'   => array(
                'multiple' => true,
                'values'   => $term_list['auto_complete'],
            ),
            'dependency' => array(
                'element'=>'custom_source',
                'value'=>array(
                    'true',
                )
            ),
            'group'      => esc_html__('Source Settings', 'arctecture'),
        ),
        array(
            'type'       => 'autocomplete',
            'class'      => '',
            'heading'    => esc_html__('Select Post Name', 'arctecture'),
            'param_name' => 'post_ids',
            'description' => esc_html__('Leave blank to show all post', 'arctecture'),
            'settings'   => array(
                'multiple' => true,
                'values'   => cms_get_type_posts_data('service')
            ),
            'dependency' => array(
                'element'=>'custom_source',
                'value'=>array(
                    'true',
                )
            ),
            'group'      => esc_html__('Source Settings', 'arctecture'),
        ),
        array(
            'type'       => 'dropdown',
            'heading'    => esc_html__('Order by', 'arctecture'),
            'param_name' => 'orderby',
            'value'      => array(
                'Date'   => 'date',
                'ID'     => 'ID',
                'Author' => 'author',
                'Title'  => 'title',
                'Random' => 'rand',
            ),
            'std'        => 'date',
            'group'      => esc_html__('Source Settings', 'arctecture')
        ),
        array(
            'type'       => 'dropdown',
            'heading'    => esc_html__('Sort order', 'arctecture'),
            'param_name' => 'order',
            'value'      => array(
                'Ascending'  => 'ASC',
                'Descending' => 'DESC',
            ),
            'std'        => 'DESC',
            'group'      => esc_html__('Source Settings', 'arctecture')
        ),
        array(
            'type'       => 'textfield',
            'heading'    => esc_html__('Total items', 'arctecture'),
            'param_name' => 'limit',
            'value'      => '6',
            'group'      => esc_html__('Source Settings', 'arctecture'),
            'description' => esc_html__('Set max limit for items in grid. Enter number only', 'arctecture'),
        ),

        array(
            "type" => "textarea",
            "heading" => esc_html__("Title", 'arctecture'),
            "param_name" => "title_2",
            "description" => "Enter title.",
            "group" => esc_html__("Custome Setting", 'arctecture'),
            'dependency' => array(
                'element' => 'cms_template',
                'value'   => 'cms_service_carousel.php'
            ),
        ),

        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Title Color", 'arctecture'),
            "param_name" => "title_color",
            "value" => "",
            'dependency' => array(
                'element' => 'cms_template',
                "value"=>array(
                    "cms_service_carousel.php",
                    "cms_service_carousel--layout2.php",
                )
            ), 
            "group" => esc_html__("Custome Setting", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Font Size", 'arctecture'),
            "param_name" => "title_size",
            'value' => '',
            "description" => "Enter: ...px",
            "group" => esc_html__("Custome Setting", 'arctecture'),
            'dependency' => array(
                'element' => 'cms_template',
                'value'   => 'cms_service_carousel.php'
            ),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Text Transform", 'arctecture'),
            'param_name' => 'title_transform',
            'value' => array(
                'Normal' => 'none',
                'Uppercase' => 'uppercase',
                'Lowercase' => 'lowercase',
                'Capitalize' => 'capitalize',
                'Unset' => 'unset'
            ),
            "group" => esc_html__("Custome Setting", 'arctecture'),
            'dependency' => array(
                'element' => 'cms_template',
                'value'   => 'cms_service_carousel.php'
            ),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Custom Google Fonts", 'arctecture'),
            'param_name' => 'custom_fonts',
            'value' => array(
                'No' => 'false',       
                'Yes' => 'true',       
            ),
            "group" => esc_html__("Custome Setting", 'arctecture'),
            'dependency' => array(
                'element' => 'cms_template',
                'value'   => 'cms_service_carousel.php'
            ),
        ),
        array(
            'type' => 'google_fonts',
            'param_name' => 'google_fonts',
            'value' => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
            'settings' => array(
                'fields' => array(
                    'font_family_description' => esc_html__( 'Select font family.', 'arctecture' ),
                    'font_style_description' => esc_html__( 'Select font styling.', 'arctecture' ),
                ),
            ),
            "dependency" => array(
                "element"=>"custom_fonts",
                "value"=>array(
                    "true",
                )
            ),
            "group" => esc_html__("Custome Setting", 'arctecture'),
            'dependency' => array(
                'element' => 'cms_template',
                'value'   => 'cms_service_carousel.php'
            ),
        ),
        array(
            'type' => 'attach_image',
            "heading" => esc_html__("Image Background Transparent", 'arctecture'),
            "param_name" => "bg_textbox_image",
            'description' => esc_html__( 'Select image from media library.', 'arctecture' ),
            "value" => "", 
            "group" => esc_html__("Custome Setting", 'arctecture'),
            'dependency' => array(
                'element' => 'cms_template',
                'value'   => 'cms_service_carousel.php'
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Button Text', 'arctecture' ),
            "param_name" => "button_text",
            "value" => '',
            'admin_label' => true,
            "group" => esc_html__("Custome Setting", 'arctecture'),
            'dependency' => array(
                'element' => 'cms_template',
                'value'   => 'cms_service_carousel.php'
            ),            
        ),
        array(
            "type" => "vc_link",
            "class" => "",
            "heading" => esc_html__("Link", 'arctecture'),
            "param_name" => "button_link",
            "value" => '',
            "group" => esc_html__("Custome Setting", 'arctecture'),
            'dependency' => array(
                'element' => 'cms_template',
                'value'   => 'cms_service_carousel.php'
            ),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Margin Top", 'arctecture'),
            "param_name" => "margin_top",
            'value' => '',
            "description" => "Enter Margin Top ...px",
            "group" => esc_html__("Custome Setting", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Padding Box", 'arctecture'),
            "param_name" => "padding",
            'value' => '',
            "description" => "Enter Padding Box, Default: 90px 65px",
            "group" => esc_html__("Custome Setting", 'arctecture'),
            'dependency' => array(
                'element' => 'cms_template',
                'value'   => 'cms_service_carousel.php'
            ), 
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Background Color Item", 'arctecture'),
            "param_name" => "bg_item",
            "value" => "",
            'dependency' => array(
                'element' => 'cms_template',
                "value"=>array(
                    "cms_service_carousel.php",
                    "cms_service_carousel--layout2.php",
                )
            ), 
            "group" => esc_html__("Custome Setting", 'arctecture'),
        ),
    ));

$args = arctecture_add_vc_extra_param($args);
vc_map($args);

class WPBakeryShortCode_cms_service_carousel extends CmsShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>