<?php
vc_map(
    array(
        'name'     => esc_html__('Team', 'arctecture'),
        'base'     => 'cms_team',
        'class'    => 'vc-cms-team',
        'category' => esc_html__('Theme Shortcodes', 'arctecture'),
        'params'   => array(
            array(
                'type' => 'cms_template_img',
                'param_name' => 'cms_template',
                'shortcode' => 'cms_team',
                'heading' => esc_html__('Shortcode Template', 'arctecture'),
                'admin_label' => true,
                'group' => esc_html__('Template', 'arctecture'),
            ),
            
            /* Source Settings */
            array(
                'type' => 'attach_image',
                'heading' => esc_html__( 'Image Member', 'arctecture' ),
                'param_name' => 'image',
                'value' => '',
                'description' => esc_html__( 'Select image from media library.', 'arctecture' ),
                'group' => esc_html__('Source Settings', 'arctecture'),
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Image size', 'arctecture' ),
                'param_name' => 'img_size',
                'value' => '',
                'description' => esc_html__( "Enter image size (Example: 'thumbnail', 'medium', 'large', 'full' or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height). ", "arctecture" ),
                'group' => esc_html__('Source Settings', 'arctecture'),
            ),
            array(
                'type' => 'textfield',
                'heading' =>esc_html__('Title', 'arctecture'),
                'param_name' => 'title',
                'admin_label' => true,
                'group' => esc_html__('Source Settings', 'arctecture'),
            ), 
            array(
                "type" => "colorpicker",
                "heading" => esc_html__("Title Color", 'arctecture'),
                "param_name" => "title_color",
                "value" => "",
                'group' => esc_html__('Source Settings', 'arctecture'),
            ),
            array(
                "type" => "textfield",
                "heading" =>esc_html__("Title Size", 'arctecture'),
                "param_name" => "title_size",
                'value' => '',
                "description" => "Enter: ...px, Default 20px",
                'group' => esc_html__('Source Settings', 'arctecture'),
            ),
            array(
                'type' => 'textfield',
                'heading' =>esc_html__('Position', 'arctecture'),
                'param_name' => 'position',
                "description" => "Enter text here",
                'group' => esc_html__('Source Settings', 'arctecture'),
            ),
            array(
                "type" => "colorpicker",
                "heading" => esc_html__("Position Color", 'arctecture'),
                "param_name" => "position_color",
                "value" => "",
                'group' => esc_html__('Source Settings', 'arctecture'),
            ), 
            array(
                "type" => "textfield",
                "heading" =>esc_html__("Position Size", 'arctecture'),
                "param_name" => "position_size",
                'value' => '',
                "description" => "Enter: ...px, Default 14px",
                'group' => esc_html__('Source Settings', 'arctecture'),
            ),
            array(
                'type' => 'param_group',
                'heading' => esc_html__( 'Social', 'arctecture' ),
                'param_name' => 'social',
                'description' => esc_html__( 'Enter values for team item', 'arctecture' ),
                'value' => '',
                'group' => esc_html__('Source Settings', 'arctecture'),
                'params' => array(
                    array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon', 'arctecture' ),
                        'param_name' => 'icon',
                        'value' => '',
                        'settings' => array(
                            'emptyIcon' => true,
                            'type' => 'fontawesome',
                            'iconsPerPage' => 200,
                        ),
                        'description' => esc_html__( 'Select icon from library.', 'arctecture' ),
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' =>esc_html__('Link', 'arctecture'),
                        'param_name' => 'social_link',
                        'admin_label' => true,
                    ), 
                ),
            ),
            
            /* Extra */
            array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Extra class name', 'arctecture' ),
                'param_name' => 'el_class',
                'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'arctecture' ),
                'group'            => esc_html__('Extra', 'arctecture')
            ),
            array(
                'type' => 'animation_style',
                'heading' => esc_html__( 'Animation Style', 'arctecture' ),
                'param_name' => 'animation',
                'description' => esc_html__( 'Choose your animation style', 'arctecture' ),
                'admin_label' => false,
                'weight' => 0,
                "group" => esc_html__("Extra", 'arctecture'),
            ),
        )
    )
);

class WPBakeryShortCode_cms_team extends CmsShortCode
{
    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>