<?php
vc_map(array(
    "name" => 'TextBox',
    "base" => "cms_textbox",
    "icon" => "cs_icon_for_vc",
    "category" => esc_html__('Theme Shortcodes', 'arctecture'),
    "params" => array(
        /* Textbox Template */
        array(
            'type' => 'cms_template_img',
            'param_name' => 'cms_template',
            "shortcode" => "cms_textbox",
            "heading" => esc_html__("Shortcode Template", 'arctecture'),
            "admin_label" => true,
            "group" => esc_html__("Template", 'arctecture'),
        ),
        /* Setting */

        /* Title */
        array(
            "type" => "textarea",
            "heading" => esc_html__("Text Box", 'arctecture'),
            "param_name" => "text_box",
            "description" => "Enter description.",
            "group" => esc_html__("TextBox Setting", 'arctecture'),
            "type" => "textarea",
            "heading" => esc_html__("Text Box", 'arctecture'),
            "dependency" => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_textbox.php",
                )
            ),
            "group" => esc_html__("TextBox Setting", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Font Size", 'arctecture'),
            "param_name" => "font_size",
            'value' => '',
            "description" => "Enter: ...px, Default 14px",
            "dependency" => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_textbox.php",
                )
            ),
            "group" => esc_html__("TextBox Setting", 'arctecture'),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Text Box Color", 'arctecture'),
            "param_name" => "text_box_color",
            "value" => "",
            "group" => esc_html__("TextBox Setting", 'arctecture'),
            "dependency" => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_textbox.php",
                )
            ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__("Text Align", 'arctecture'),
            'param_name' => 'textbox_align',
            'value' => array(
                'Left' => 'text-left', 
                'Center' => 'text-center',
                'Right' => 'text-right text-mobile',
            ),
            "group" => esc_html__("TextBox Setting", 'arctecture'),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Font Style", 'arctecture'),
            'param_name' => 'font_style',
            'value' => array(
                'Normal' => 'normal', 
                'Italic' => 'italic',
            ),
            "group" => esc_html__("TextBox Setting", 'arctecture'),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Text Transform", 'arctecture'),
            'param_name' => 'text_transform',
            'value' => array(
                'Normal' => 'none',
                'Uppercase' => 'uppercase',
                'Lowercase' => 'lowercase',
                'Capitalize' => 'capitalize',
                'Unset' => 'unset'
            ),
            "dependency" => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_textbox.php",
                )
            ),
            "group" => esc_html__("TextBox Setting", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Letter Spacing', 'arctecture' ),
            "param_name" => "letter_spacing",
            "value" => '',
            "description" => "Enter: ..px, ...em",
            "dependency" => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_textbox.php",
                )
            ),
            "group" => esc_html__("TextBox Setting", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Margin Bottom", 'arctecture'),
            "param_name" => "textbox_mg_button",
            'value' => '',
            "description" => "Enter: ...px, Default 20px",
            "dependency" => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_textbox.php",
                )
            ),
            "group" => esc_html__("TextBox Setting", 'arctecture'),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Font Weight", 'arctecture'),
            'param_name' => 'font_weight',
            'value' => array(
                '300' => '300',
                '400' => '400',
                '500' => '500',
                '600' => '600',
                '700' => '700',
                '800' => '800',
            ),
            "group" => esc_html__("TextBox Setting", 'arctecture'),
            "dependency" => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_textbox.php",
                )
            ),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Custom Google Fonts", 'arctecture'),
            'param_name' => 'custom_fonts',
            'value' => array(
                'No' => 'false',       
                'Yes' => 'true',       
            ),
            "group" => esc_html__("Custome Fonts", 'arctecture'),
        ),
        array(
            'type' => 'google_fonts',
            'param_name' => 'google_fonts',
            'value' => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
            'settings' => array(
                'fields' => array(
                    'font_family_description' => esc_html__( 'Select font family.', 'arctecture' ),
                    'font_style_description' => esc_html__( 'Select font styling.', 'arctecture' ),
                ),
            ),
            "dependency" => array(
                "element"=>"custom_fonts",
                "value"=>array(
                    "true",
                )
            ),
            "group" => esc_html__("Custome Fonts", 'arctecture'),
        ),
    )
));

class WPBakeryShortCode_cms_textbox extends CmsShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>