<?php
extract(shortcode_atts(array(

    'source'               => '',
    'orderby'              => 'date',
    'order'                => 'DESC',
    'limit'                => '6',
    'post_ids'             => '',

    'el_class'             => '',
    'img_size'             => '800x420',
    'animation'             => '',

), $atts));

wp_enqueue_script( 'owl-carousel' );
wp_enqueue_script( 'arctecture-carousel' );
$html_id = cmsHtmlID('cms-carousel-post');
$atts['html_id'] = $html_id;

extract(cms_get_posts_of_grid('post', $atts));
extract(arctecture_get_param_carousel($atts));

$counter = 0;
$row         = 2;
$animation_tmp = isset($animation) ? $animation : '';
$animation_classes = $this->getCSSAnimation( $animation_tmp );
?>

<div id="<?php echo esc_attr($html_id) ?>" class="cms-blog-carousel owl-carousel <?php echo esc_attr( $el_class.' '.$animation_classes ); ?>" <?php echo !empty($carousel_data) ?  esc_attr($carousel_data) : '' ?>>
    <?php if (is_array($posts)):
        foreach ($posts as $post) {
            $counter++;

            if($row == 1){
                echo '<div class="cms-carousel-item-wrap">';
            }else{
                if($counter % $row == 1){
                    echo '<div class="cms-carousel-item-wrap">';
                }
            }
            ?>
            <div class="cms-carousel-item">
                <div class="single-hentry">
                    <?php if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)) :
                        $img_id       = get_post_thumbnail_id( $post->ID );
                        $img          = wpb_getImageBySize( array(
                            'attach_id'  => $img_id,
                            'thumb_size' => $img_size,
                            'class'      => '',
                        ) );
                        $thumbnail    = $img['thumbnail'];?>
                        <div class="entry-box entry-featured">
                            <div class="inner-featured">
                                <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>">
                                    <?php echo wp_kses_post( $thumbnail ); ?>
                                </a>
                            </div>
                        </div>
                    <?php else: ?>
                        <div class="entry-box entry-featured">
                            <div class="inner-featured">
                                
                            </div>
                        </div>
                    <?php endif; ?>

                    <div class="entry-box entry-content">
                        <div class="inner-content">
                            <h3 class="entry-title">
                                <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>">
                                    <?php echo wp_trim_words($post->post_title, $num_words = 7, $more = null ); ?>
                                </a>
                            </h3>
                            <div class="entry-excerpt">
                                <?php echo wp_trim_words( $post->post_content, $num_words = 30, $more = null ); ?>
                            </div>
                            <ul class="entry-meta-blog">
                                <li class="post-like"><?php post_favorite('','',true,$post->ID); ?></li>
                                <?php arctecture_single_meta_bottom($post->ID); ?>
                            </ul>
                            <?php arctecture_blog_carousel($post->ID); ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php if($row == 1){
                echo '</div>';
            } else {
                if($counter % $row == 0){
                    echo '</div>';
                }
            }
    }
    endif; ?>
</div>



