<?php
extract(shortcode_atts(array(
    'button_text'      => '',       
    'button_link'      => '',
    'font_size'        => '',
    'font_weight'      => '',
    'button_style'     => 'btn-default',       
    'button_shapes'    => '',          
    'button_align'     => 'left',   
    'button_align_md'  => 'left',   
    'button_align_sm'  => 'left',   
    'button_align_xs'  => 'left',   
    'padding_top'      => '',
    'padding_right'    => '',
    'padding_bottom'   => '',
    'padding_left'     => '',    
    'br_top'           => '',    
    'br_right'         => '',    
    'br_bottom'        => '',    
    'br_left'          => '',    
    'el_class'         => '',
    'text_transform'   => '',
    'font_weigth'      => '',
    'icon_type'        => 'icon',                                  
    'icon_list'        => 'fontawesome',
    'icon_fontawesome' => '',
    'icon_material_design' => '',
    'icon_etline'      => '',
    'icon_image'       => '',    
    'icon_align'       => 'icon-left',    
    'icon_font_size'   => '',    
), $atts));

$link = vc_build_link($button_link);
$a_href = '';
$a_target = '';
if ( strlen( $link['url'] ) > 0 ) {
    $a_href = $link['url'];
    $a_target = strlen( $link['target'] ) > 0 ? $link['target'] : '_self';
}

$icon_image_url = '';
if (!empty($icon_image)) {
    $attachment_image = wp_get_attachment_image_src($icon_image, 'full');
    $icon_image_url = $attachment_image[0];
}
$icon_name = "icon_" . $icon_list;
$icon_class = isset(${$icon_name}) ? $ {$icon_name} : '';

$style_padding = array(
    'padding-top'          => $padding_top,
    'padding-right'        => $padding_right,
    'padding-bottom'       => $padding_bottom,
    'padding-left'         => $padding_left,
    'text-transform'       => $text_transform,
    'border-top-left-radius'        => $br_top,
    'border-top-right-radius'       => $br_right,
    'border-bottom-right-radius'    => $br_right,
    'border-bottom-left-radius'     => $br_left,
);
$styles = '';
foreach ($style_padding as $key => $value) {
    if (!empty($value)) {
        $styles .= $key . ':' . $value . ';';
    }
}

$style_abc = array(
    'font-weight' => $font_weight,
    'font-size'   => $font_size,
);
$abc_styles = '';
foreach ($style_abc as $key => $value) {
    if (!empty($value)) {
        $abc_styles .= $key . ':' . $value . ';';
    }
}

?>
<?php if(!empty( $button_text )):?>
    <div class="cms-button-wrapper btn-align-<?php echo esc_attr($button_align); ?>  btn-align-<?php echo esc_attr($button_align_md); ?>-md btn-align-<?php echo esc_attr($button_align_sm); ?>-sm btn-align-<?php echo esc_attr($button_align_xs); ?>-xs <?php echo esc_attr( $el_class ); ?>">
        <a class="btn-custom <?php echo esc_attr($button_style.' '.$button_shapes.' '); ?>" <?php echo !empty($styles) ? 'style="' . esc_attr($styles) . '"' : '' ?> href="<?php echo esc_url($a_href);?>" target="<?php  echo esc_attr($a_target); ?>">
            <?php if($icon_align == 'icon-right') : ?>
                <span <?php echo !empty($abc_styles) ? 'style="' . esc_attr($abc_styles) . '"' : '' ?>><?php echo esc_attr($button_text); ?></span>
            <?php endif; ?>
            <?php if(!empty($icon_image_url) && $icon_type == 'image' ) { ?>
                <img class="<?php echo esc_attr($icon_align); ?>" src="<?php echo esc_url( $icon_image_url ); ?>" alt="<?php echo esc_attr( $button_text ); ?>"/>
            <?php } else { ?>
                <?php if($icon_class):?>
                    <i class="<?php echo esc_attr($icon_class.' '.$icon_align); ?>" style="font-size:<?php echo esc_attr( $icon_font_size ); ?>;"></i>
                <?php endif;?>
            <?php } ?>
            <?php if($icon_align == 'icon-left') : ?>
                <span <?php echo !empty($abc_styles) ? 'style="' . esc_attr($abc_styles) . '"' : '' ?>><?php echo esc_attr($button_text); ?></span>
            <?php endif; ?>
        </a>
    </div>
<?php endif;?>