<?php
extract(shortcode_atts(array(
    'title' => '',  
    'title_transform' => '',
    'title_color' => '',
    'title_size'  => '',
    'title_margin_bottom' =>'',

    'sub_title' => '',              
    'sub_color' => '',
    'sub_size' =>'',
    'sub_transform' =>'',
    'sub_fontweight' =>'',
    'sub_letter_spacing' => '',

    'description' => '',              
    'description_color' => '',
    'description_fontweight' =>'',
    'line_height_des' => '',
    'description_size' => '',

    'bg_textbox_image' => '',
    'margin_top' => '',
    'padding'  =>'',
    'button_text'      => '',       
    'button_link'      => '',
    'bt_margin_top'    => '',
    'bt_fontweight'    => '',

    'icon_type' => 'icon',
    'mr_icon_top' => '',
    'icon_color' => '#eee',
    'icon_list' => 'fontawesome',
    'icon_fontawesome' => '',
    'icon_image' => '',
    'custom_fonts' => 'false',
    'google_fonts' => '',

), $atts));
$uqid = uniqid();

$inline_style = '';
if($custom_fonts == 'true') {
    // Build the data array
    $googleFontsParam = new Vc_Google_Fonts();      
    $fieldSettings = array();
    $text_font_data = strlen( $google_fonts ) > 0 ? $googleFontsParam->_vc_google_fonts_parse_attributes( $fieldSettings, $google_fonts ) : '';
     
    // Build the inline style
    if(isset($text_font_data['values']['font_family'])) {
        $fontFamily = explode( ':', $text_font_data['values']['font_family'] );
        $styles[] = 'font-family:' . $fontFamily[0];
    }
    if(isset($text_font_data['values']['font_style'])) {
        $fontStyles = explode( ':', $text_font_data['values']['font_style'] );
        $styles[] = 'font-weight:' . $fontStyles[1];
        $styles[] = 'font-style:' . $fontStyles[2];  
    }
    if(isset($text_font_data['values']['font_family']) || isset($text_font_data['values']['font_style'])) {
        foreach( $styles as $attribute ){           
            $inline_style .= $attribute.'; ';       
        } 
    }
             
    // Enqueue the right font   
    $settings = get_option( 'wpb_js_google_fonts_subsets' );
    if ( is_array( $settings ) && ! empty( $settings ) ) {
        $subsets = '&subset=' . implode( ',', $settings );
    } else {
        $subsets = '';
    }
     
    // We also need to enqueue font from googleapis
    if ( isset( $text_font_data['values']['font_family'] ) ) {
        wp_enqueue_style( 
            'vc_google_fonts_' . vc_build_safe_css_class( $text_font_data['values']['font_family'] ), 
            '//fonts.googleapis.com/css?family=' . $text_font_data['values']['font_family'] . $subsets
        );
    }
} else {
    $inline_style = '';
}


$bg_textbox_image_url = '';
if (!empty($bg_textbox_image)) {
    $attachment_image = wp_get_attachment_image_src($bg_textbox_image, 'full');
    $bg_textbox_image_url = $attachment_image[0];
}

$icon_image_url = '';
if (!empty($icon_image)) {
    $attachment_image = wp_get_attachment_image_src($icon_image, 'full');
    $icon_image_url = $attachment_image[0];
}

$icon_name = "icon_" . $icon_list;
$icon_class = isset(${$icon_name}) ? ${$icon_name} : '';

$styles_box = array(
    'margin-top'     => $margin_top,
    'padding'        => $padding,
);
$box_styles = '';
foreach ($styles_box as $key => $value) {
    if (!empty($value)) {
        $box_styles .= $key . ':' . $value . ';';
    }
}

$styles_title = array(
    'color'          => $title_color,
    'font-size'      => $title_size,
    'text-transform' => $title_transform,
    'margin-bottom'  => $title_margin_bottom,
);
$title_styles = '';
foreach ($styles_title as $key => $value) {
    if (!empty($value)) {
        $title_styles .= $key . ':' . $value . ';';
    }
}

$styles_sub = array(
    'color'          => $sub_color,
    'font-size'      => $sub_size,
    'text-transform' => $sub_transform,
    'font-weight'    => $sub_fontweight,
    'letter-spacing' => $sub_letter_spacing,

);
$sub_styles = '';
foreach ($styles_sub as $key => $value) {
    if (!empty($value)) {
        $sub_styles .= $key . ':' . $value . ';';
    }
}

$styles_desc = array(
    'color'          => $description_color,
    'font-weight'    => $description_fontweight,
    'font-size'      => $description_size,
    'line-height'    => $line_height_des,
);
$desc_styles = '';
foreach ($styles_desc as $key => $value) {
    if (!empty($value)) {
        $desc_styles .= $key . ':' . $value . ';';
    }
}

$link = vc_build_link($button_link);
$a_href = '';
$a_target = '';
if ( strlen( $link['url'] ) > 0 ) {
    $a_href = $link['url'];
    $a_target = strlen( $link['target'] ) > 0 ? $link['target'] : '_self';
}

?>
<div id="cms-meidabox-<?php echo esc_attr($uqid);?>" class="cms-meidabox-default">
	<div class="cms-textbox-inner clearfix" <?php echo !empty($box_styles) ? 'style="' . esc_attr($box_styles) . '"' : '' ?>>
        <?php if(!empty($bg_textbox_image_url) ) { ?>
            <div class="cms-img-transparent">
                <img src="<?php echo esc_url( $bg_textbox_image_url ); ?>" alt="<?php echo esc_attr(get_post_meta( $bg_textbox_image, '_wp_attachment_image_alt', true )) ?>"/>
            </div>
        <?php } ?>
        <div class="content-textbox">
            <?php if(!empty($title)) : ?>
                <h3 class="cms-textbox-title" <?php echo !empty($title_styles || $inline_style) ? 'style="' . esc_attr($title_styles) . ' '. $inline_style .'"' : '' ?>>
                    <?php echo wp_kses_post( $title ); ?>
                </h3>
            <?php endif;?>
            <?php if(!empty($sub_title)):?>
                <div class="cms-sub-title" <?php echo !empty( $sub_styles ) ? 'style="' . esc_attr($sub_styles) . '"' : '' ?>>
                    <?php echo wp_kses_post( $sub_title ); ?>
                </div>
            <?php endif;?>
            <?php if($description) : ?>
                <div class="cms-textbox-description" <?php echo !empty($desc_styles) ? 'style="' . esc_attr($desc_styles) . '"' : '' ?>>
                    <?php echo wp_kses_post( $description ); ?>
                </div>
            <?php endif; ?>
            <?php if(!empty($icon_image_url) && $icon_type == 'image' ) { ?>
                <div class="cms-textbox-icon">
                    <span <?php if(!empty( $mr_icon_top )):?> style="margin-top: <?php echo esc_attr( $mr_icon_top );?>"<?php endif;?>><img src="<?php echo esc_url( $icon_image_url ); ?>" alt="<?php echo esc_attr( $title ); ?>"/></span>
                </div>
            <?php } else { ?>
                <?php if($icon_class):?>
                    <div class="cms-textbox-icon" <?php if(!empty( $icon_color )):?> style="color: <?php echo esc_attr($icon_color);?>" <?php endif; ?>>
                        <span <?php if(!empty( $mr_icon_top )):?> style="margin-top: <?php echo esc_attr( $mr_icon_top );?>"<?php endif;?>><i class="<?php echo esc_attr($icon_class); ?>"></i></span>
                    </div>
                <?php endif;?>
            <?php } ?>
            <?php if(!empty($button_text)):?>
                <a class="btn-custom btn-outline-primary" <?php if(!empty($bt_margin_top)):?> style="margin-top: <?php echo esc_attr($bt_margin_top);?>" <?php endif;?> href="<?php echo esc_url($a_href);?>" target="<?php  echo esc_attr($a_target); ?>">
                    <span <?php if(!empty($bt_fontweight)):?> style="font-weight: <?php echo esc_attr( $bt_fontweight );?>"<?php endif;?> ><?php echo esc_attr($button_text); ?></span>
                </a>
            <?php endif;?>
        </div>
	</div>
</div>