<?php 
extract(shortcode_atts(array(   
    'source'               => '',
    'orderby'              => 'date',
    'order'                => 'DESC',
    'col_lg'               => '',
    'col_md'               => '',
    'limit'                => '6',
    'img_size'             => '1600x795',
    'post_ids'             => '',
    'el_class'             => '',  
    'animation'             => '',  
), $atts));

wp_enqueue_script( 'owl-carousel' );
wp_enqueue_script( 'arctecture-carousel' );
$html_id = cmsHtmlID('cms-carousel-portfolio');

extract(cms_get_posts_of_grid('portfolio', $atts));
extract(arctecture_get_param_carousel($atts));

$animation_tmp = isset($animation) ? $animation : '';
$animation_classes = $this->getCSSAnimation( $animation_tmp );

?>

<div id="<?php echo esc_attr($html_id) ?>" class="cms-portfolio-carousel3 owl-carousel cms-lg-<?php echo esc_attr($col_lg);?> cms-md-<?php echo esc_attr($col_md);?> cms-sm-<?php echo esc_attr($col_sm);?> <?php echo esc_attr( $el_class.' '.$animation_classes ); ?>" <?php echo !empty($carousel_data) ?  esc_attr($carousel_data) : '' ?>>
    <?php if (is_array($posts)):
        foreach ($posts as $post) { 
            $size = 'arctecture-port3';
            ?>
            <div class="cms-carousel-item">
                <div class="cms-carousel-item-inner">
                    <?php if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)) :
                       $img_id       = get_post_thumbnail_id( $post->ID );
                        $img          = wpb_getImageBySize( array(
                            'attach_id'  => $img_id,
                            'thumb_size' => $img_size,
                            'class'      => '',
                        ) );
                        $thumbnail    = $img['thumbnail'];?>
                        <div class="portfolio-media">
                            <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>">
                                <?php echo wp_kses_post($thumbnail); ?>
                            </a>
                            <div class="entry-meta">
                                <div class="entry-meta-title">
                                    <h3 class="entry-title-sv">
                                        <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>"><?php echo esc_attr(get_the_title($post->ID)); ?></a>
                                    </h3>
                                    <div class="entry-category"><?php the_terms( $post->ID, 'portfolio-category', ' ', ' / ' ); ?></div>
                                </div>
                                <div class="entry-meta-icon">
                                    <span>
                                        <i class="fa fa-eye"></i>
                                    </span>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        <?php }
    endif; ?>
</div>