<?php
$atts_extra = shortcode_atts( array(
    'source'               => '',
    'orderby'              => 'date',
    'order'                => 'DESC',
    'limit'                => '6',
    'gap'                  => '30',
    'post_ids'             => '',
    'col_lg'               => 4,
    'col_md'               => 3,
    'col_sm'               => 2,
    'col_xs'               => 1,
    'layout'               => 'basic',
    'loadmore'             => 'true',
    'filter'               => 'true',
    'filter_default_title' => 'All',
    'filter_title_color'   => 'secondary',
    'el_class'             => '',
    'img_size'             => '900x721',
    'custom_column'        => 'false',
    'cms_list_item'        => '',
    'element_title'        => '',
), $atts );
$atts       = array_merge( $atts_extra, $atts );
extract( $atts );
$tax = array();
extract( cms_get_posts_of_grid( 'portfolio', $atts ) );
$filter_default_title = ! empty( $filter_default_title ) ? $filter_default_title : 'All';

$col_lg     = 12 / $col_lg;
$col_md     = 12 / $col_md;
$col_sm     = 12 / $col_sm;
$col_xs     = 12 / $col_xs;
$grid_sizer = "col-xl-{$col_lg} col-lg-{$col_md} col-md-{$col_sm} col-sm-{$col_xs} col-{$col_xs}";

$gap_item = intval( $gap / 2 );

wp_enqueue_style(
    'inline-style',
    get_template_directory_uri() . '/assets/css/inline-style.css'
);
$custom_css = "
        .cms-grid-inner {
            margin: 0 -{$gap_item}px;
        }
        .cms-grid-inner .grid-item {
            padding: {$gap_item}px;
        }";
wp_add_inline_style( 'inline-style', $custom_css );

$grid_class = '';
if ( $layout == 'masonry' ) {
    wp_enqueue_script( 'isotope' );
    wp_enqueue_script('imagesloaded');
    wp_enqueue_script( 'arctecture-isotope', get_template_directory_uri() . '/assets/js/isotope.cms.js', array( 'jquery' ), '1.0.0', true );
    $grid_class = 'cms-grid-inner cms-grid-masonry row';
    if ( $loadmore == 'true' ) {
        $html_id = str_replace( '-', '_', $html_id );
        wp_enqueue_script( 'cms-loadmore-grid', get_template_directory_uri() . '/assets/js/cms-loadmore-grid.js', array( 'jquery' ), 'all', true );
        wp_localize_script( 'cms-loadmore-grid', 'cms_load_more_' . $html_id, array(
            'startPage' => $paged,
            'maxPages'  => $max,
            'total'     => $total,
            'perpage'   => $limit,
            'layout'    => $layout
        ) );
    }
} else {
    $grid_class = 'cms-grid-inner row';
}
$cms_list_items = array();
$cms_list_items = (array) vc_param_group_parse_atts( $cms_list_item );
?>

<div id="<?php echo esc_attr( $html_id ) ?>" class="cms-grid cms-grid-portfolio cms-grid-portfolio-layout2 cms-grid-effect-fade <?php echo esc_attr( $el_class ); ?>">
    <?php if ($filter == "true" and $layout == 'masonry'): ?>
        <div class="grid-filter-wrap">
            <span class="filter-item active" data-filter="*"><?php echo esc_html($filter_default_title); ?></span>
            <?php foreach ($categories as $category): ?>
                <?php $category_arr = explode('|', $category); ?>
                <?php $tax[] = $category_arr[1]; ?>
                <?php $term = get_term_by('slug',$category_arr[0], $category_arr[1]); ?>
                <span class="filter-item" data-filter="<?php echo esc_attr('.' . $term->slug); ?>">
                    <?php echo esc_html($term->name); ?>
                </span>
            <?php endforeach; ?>
        </div>
    <?php endif; ?>

    <div class="<?php echo esc_attr( $grid_class ); ?>" data-gutter="<?php echo esc_attr( $gap_item ); ?>">
        <?php if ( $layout == 'masonry' ) : ?>
            <div class="grid-sizer <?php echo esc_attr( $grid_sizer ); ?>"></div>
        <?php endif; ?>
        <?php
        if ( is_array( $posts ) ):
            $sizes = explode( ',', $img_size );

            $i     = 0;
            foreach ( $posts as $key => $post ) {
                $default_size = end( $sizes );
                if ( ! empty( $sizes[ $i ] ) ) {
                    $default_size = $sizes[ $i ];
                }
                $img_id       = get_post_thumbnail_id( $post->ID );
                $img          = wpb_getImageBySize( array(
                    'attach_id'  => $img_id,
                    'thumb_size' => $default_size,
                    'class'      => '',
                ) );
                $thumbnail    = $img['thumbnail'];
                $item_class   = "grid-item col-xl-{$col_lg} col-lg-{$col_md} col-md-{$col_sm} col-sm-{$col_xs} col-{$col_xs}";
                if($custom_column == 'true' && !empty($cms_list_items[$key])){
                    $custom_col_xs = 12 / $cms_list_items[$key]['custom_col_xs'];
                    $custom_col_sm = 12 / $cms_list_items[$key]['custom_col_sm'];
                    $custom_col_md = 12 / $cms_list_items[$key]['custom_col_md'];
                    $custom_col_lg = 12 / $cms_list_items[$key]['custom_col_lg'];
                    $item_class   = "grid-item col-xl-{$custom_col_lg} col-lg-{$custom_col_md} col-md-{$custom_col_sm} col-sm-{$custom_col_xs} col-{$custom_col_xs}";
                }
                $filter_class = cms_get_term_of_post_to_class( $post->ID, array_unique( $tax ) );
                $text_port_12 = get_post_meta($post->ID, 'text_port_12', true );
                $text_port_22 = get_post_meta($post->ID, 'text_port_22', true );
                $text_port_32 = get_post_meta($post->ID, 'text_port_32', true );

                if ( has_post_thumbnail( $post->ID ) && wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), false ) ) : ?>
                    <div class="<?php echo esc_attr( $item_class . ' ' . $filter_class ); ?>">
                        <div class="grid-item-inner">
                            <div class="item-featured">
                                <div class="overlay cms-images-zoom">
                                    <a href="<?php echo wp_get_attachment_image_url( get_post_thumbnail_id( $post->ID ), $size = 'full') ?>">
                                        <?php echo wp_kses_post( $thumbnail ); ?>
                                        <a class="icon-zoom z-view" href="<?php echo wp_get_attachment_image_url( get_post_thumbnail_id( $post->ID ), $size = 'full') ?>">
                                            <i class="fa fa-search-plus"></i>
                                        </a>
                                    </a>
                                </div>
                            </div>

                            <div class="entry-holder">
                                <h3 class="item-title">
                                    <a href="<?php echo esc_url( get_permalink( $post->ID ) ); ?>"><?php echo esc_attr( get_the_title( $post->ID ) ); ?></a>
                                </h3>
                                <?php if($text_port_12 || $text_port_22 || $text_port_32) { ?>
                                    <div class="sub-info">
                                        <?php echo esc_attr(wp_kses_post( $text_port_12 ) );?>, 
                                        <?php echo esc_attr(wp_kses_post( $text_port_22 ) );?>, 
                                        <?php echo esc_attr(wp_kses_post( $text_port_32 ) );?>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                <?php $i ++; endif;
            }
        endif; ?>
    </div>
</div>