<?php
extract(shortcode_atts(array(                  
    'pricing_image'   => '',
    'pricing_title'   => '',
    'title_color' => '',              
    'font_size' => '',
    'title_transform' => '',
    'title_fontweight' => '',

    'row_color' => '', 
    'row_size' => '',
    'row_fontweight' =>'',

    'cms_pricing'       => '',
    'pricing_item'    => '',

), $atts));

$cms_pricings= array();
$cms_pricings = (array) vc_param_group_parse_atts($cms_pricing);

$pricing_image_url = '';
if (!empty($pricing_image)) {
    $attachment_image = wp_get_attachment_image_src($pricing_image, 'full');
    $pricing_image_url = $attachment_image[0];
}

$styles_title = array(
    'color'          => $title_color,
    'font-size'      => $font_size,
    'text-transform' => $title_transform,
    'font-weight'    => $title_fontweight,
);
$title_styles = '';
foreach ($styles_title as $key => $value) {
    if (!empty($value)) {
        $title_styles .= $key . ':' . $value . ';';
    }
}

$styles_row = array(
    'color'          => $row_color,
    'font-size'      => $row_size,
    'font-weight'    => $row_fontweight,
);
$row_styles = '';
foreach ($styles_row as $key => $value) {
    if (!empty($value)) {
        $row_styles .= $key . ':' . $value . ';';
    }
}
?>
<div class="cms-pricing">
    <div class="cms-pricing-inner">
        <div class="cms-pricing-content">
            <?php if(!empty($pricing_image_url) ) { ?>
                <div class="cms-img-thumnail">
                    <img src="<?php echo esc_url( $pricing_image_url ); ?>" alt="<?php echo esc_attr(get_post_meta( $pricing_image, '_wp_attachment_image_alt', true )) ?>"/>
                </div>
            <?php } ?>
            <?php if(!empty($pricing_title)) : ?>
                <h3 class="cms-pricing-title" <?php echo !empty($title_styles) ? 'style="' . esc_attr($title_styles) . '"' : '' ?>>
                    <?php echo wp_kses_post( $pricing_title ); ?>
                </h3>
            <?php endif;?>
            <ul>
                <?php foreach ($cms_pricings as $key => $value) { ?>
                    <li <?php echo !empty($row_styles) ? 'style="' . esc_attr($row_styles) . '"' : '' ?>><?php echo esc_html($value['pricing_item']); ?></li>
                <?php } ?>
            </ul>
        </div>
    </div>
</div>