<?php 
extract(shortcode_atts(array(   
    'source'               => '',
    'orderby'              => 'date',
    'order'                => 'DESC',
    'limit'                => '6',
    'post_ids'             => '',
    'el_class'             => '',
    'img_size'             => '980x727',
    'animation'             => '',  
), $atts));

wp_enqueue_script( 'owl-carousel' );
wp_enqueue_script( 'arctecture-carousel' );
$html_id = cmsHtmlID('cms-carousel-service');

extract(cms_get_posts_of_grid('service', $atts));
extract(arctecture_get_param_carousel($atts));

$animation_tmp = isset($animation) ? $animation : '';
$animation_classes = $this->getCSSAnimation( $animation_tmp );
?>

<div id="<?php echo esc_attr($html_id) ?>" class="cms-service-carousel-layout3 owl-carousel <?php echo esc_attr( $el_class.' '.$animation_classes ); ?>" <?php echo !empty($carousel_data) ?  esc_attr($carousel_data) : '' ?>>
    <?php if (is_array($posts)):
        foreach ($posts as $post) { 
            ?>
            <div class="cms-carousel-item">
                <div class="cms-carousel-item-inner">
                    <?php if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)) :
                        $img_id       = get_post_thumbnail_id( $post->ID );
                        $img          = wpb_getImageBySize( array(
                            'attach_id'  => $img_id,
                            'thumb_size' => $img_size,
                            'class'      => '',
                        ) );
                        $thumbnail    = $img['thumbnail'];?>
                        <div class="service-media overlay-link">
                            <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>">
                                <span class="cms-icon-plus icon-lg align-middle"></span>
                            </a>
                            <?php echo wp_kses_post( $thumbnail ); ?>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        <?php }
    endif; ?>
</div>