<?php 
extract(shortcode_atts(array(   
    'source'               => '',
    'orderby'              => 'date',
    'order'                => 'DESC',
    'limit'                => '6',
    'post_ids'             => '',
    'el_class'             => '',  
    'animation'             => '',  

    'title_2' => '',  
    'title_color' => '',
    'title_size'  => '',
    'title_transform' => '',

    'button_text'      => '',       
    'button_link'      => '', 

    'bg_textbox_image' => '',
    'margin_top' => '',
    'padding'  =>'',
    'bg_item'  => '',

    'custom_fonts' => 'false',
    'google_fonts' => '',
), $atts));


wp_enqueue_script( 'owl-carousel' );
wp_enqueue_script( 'arctecture-carousel' );
$html_id = cmsHtmlID('cms-carousel-service');
$atts['html_id'] = $html_id;

extract(cms_get_posts_of_grid('service', $atts));
extract(arctecture_get_param_carousel($atts));

$inline_style = '';
if($custom_fonts == 'true') {
    // Build the data array
    $googleFontsParam = new Vc_Google_Fonts();      
    $fieldSettings = array();
    $text_font_data = strlen( $google_fonts ) > 0 ? $googleFontsParam->_vc_google_fonts_parse_attributes( $fieldSettings, $google_fonts ) : '';
     
    // Build the inline style
    if(isset($text_font_data['values']['font_family'])) {
        $fontFamily = explode( ':', $text_font_data['values']['font_family'] );
        $styles[] = 'font-family:' . $fontFamily[0];
    }
    if(isset($text_font_data['values']['font_style'])) {
        $fontStyles = explode( ':', $text_font_data['values']['font_style'] );
        $styles[] = 'font-weight:' . $fontStyles[1];
        $styles[] = 'font-style:' . $fontStyles[2];  
    }
    if(isset($text_font_data['values']['font_family']) || isset($text_font_data['values']['font_style'])) {
        foreach( $styles as $attribute ){           
            $inline_style .= $attribute.'; ';       
        } 
    }
             
    // Enqueue the right font   
    $settings = get_option( 'wpb_js_google_fonts_subsets' );
    if ( is_array( $settings ) && ! empty( $settings ) ) {
        $subsets = '&subset=' . implode( ',', $settings );
    } else {
        $subsets = '';
    }
     
    // We also need to enqueue font from googleapis
    if ( isset( $text_font_data['values']['font_family'] ) ) {
        wp_enqueue_style( 
            'vc_google_fonts_' . vc_build_safe_css_class( $text_font_data['values']['font_family'] ), 
            '//fonts.googleapis.com/css?family=' . $text_font_data['values']['font_family'] . $subsets
        );
    }
} else {
    $inline_style = '';
}

$styles_box = array(
    'margin-top'       => $margin_top,
    'padding'          => $padding,
);
$box_styles = '';
foreach ($styles_box as $key => $value) {
    if (!empty($value)) {
        $box_styles .= $key . ':' . $value . ';';
    }
}

$bg_textbox_image_url = '';
if (!empty($bg_textbox_image)) {
    $attachment_image = wp_get_attachment_image_src($bg_textbox_image, 'full');
    $bg_textbox_image_url = $attachment_image[0];
}
$styles_title = array(
    'color'          => $title_color,
    'font-size'      => $title_size,
    'text-transform' => $title_transform,
);
$title_styles = '';
foreach ($styles_title as $key => $value) {
    if (!empty($value)) {
        $title_styles .= $key . ':' . $value . ';';
    }
}

$link = vc_build_link($button_link);
$a_href = '';
$a_target = '';
if ( strlen( $link['url'] ) > 0 ) {
    $a_href = $link['url'];
    $a_target = strlen( $link['target'] ) > 0 ? $link['target'] : '_self';
}

?>
<div class="cms-wrap-carousel-sv" <?php echo !empty($box_styles) ? 'style="' . esc_attr($box_styles) . '"' : '' ?>>
    <?php if(!empty($bg_textbox_image_url) ) { ?>
        <div class="cms-img-transparent">
            <img src="<?php echo esc_url( $bg_textbox_image_url ); ?>" alt="<?php echo esc_attr(get_post_meta( $bg_textbox_image, '_wp_attachment_image_alt', true )) ?>"/>
        </div>
    <?php } ?>
    <?php if(!empty($title_2)) : ?>
        <h3 class="cms-textbox-title" <?php echo !empty($title_styles || $inline_style) ? 'style="' . esc_attr($title_styles) . ' '. $inline_style .'"' : '' ?>>
            <?php echo wp_kses_post( $title_2 ); ?>
        </h3>
    <?php endif;?>
    <div id="<?php echo esc_attr($html_id) ?>" class="cms-service-carousel owl-carousel <?php echo esc_attr( $el_class ); ?>" <?php echo !empty($carousel_data) ?  esc_attr($carousel_data) : '' ?>>
        <?php if (is_array($posts)):
            foreach ($posts as $post) { 
                $service_excerpt = get_post_meta($post->ID, 'service_excerpt', true );
                $icon_img =  get_post_meta($post->ID, 'icon_image', true );
                ?>
                <div class="cms-carousel-item">
                    <div class="inner-item" <?php if(!empty($bg_item)):?> style="background-color: <?php echo esc_attr($bg_item);?>"<?php endif;?>>
                        <?php if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)) : ?>
                            <div class="entry-featured">
                                <a class="readmore-icon" href="<?php echo esc_url(get_permalink( $post->ID )); ?>">
                                    <?php if(!empty($icon_img['url'])):?>
                                     <img src="<?php echo esc_url($icon_img['url']); ?>" alt="<?php echo esc_attr(get_post_meta( $icon_img['id'], '_wp_attachment_image_alt', true )) ?>" /> 
                                    <?php endif;?>
                                </a>
                            </div>
                        <?php endif; ?>
                        <div class="entry-holder-sv">
                            <h3 class="entry-title-sv">
                                <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>"><?php echo esc_attr(get_the_title($post->ID)); ?></a>
                            </h3>
                            <?php if($service_excerpt) { ?>
                                <div class="service-excerpt"><?php echo wp_trim_words(wp_kses_post($service_excerpt), $num_words = 30, $more = null);?></div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            <?php }
        endif; ?>
    </div>
    <?php if(!empty($button_text)):?>
        <div class="btn-carouse-sv">
            <a class="btn-custom btn-default" href="<?php echo esc_url($a_href);?>" target="<?php  echo esc_attr($a_target); ?>">
                <span><?php echo esc_attr($button_text); ?></span>
            </a>
        </div>
    <?php endif;?>
</div>