<?php
extract(shortcode_atts(array( 
    'title'             => '',
    'title_color'       => '',
    'title_size'        => '',

    'position'          => '',
    'position_color'    => '',
    'position_size'     => '',

    'image'             => '',
    'img_size'          => '700x700',
    'social'            => '',
    'animation'         => '',
    'el_class'          => '',
), $atts));

$html_id = cmsHtmlID('cms-team');
$animation_tmp = isset($animation) ? $animation : '';
$animation_classes = $this->getCSSAnimation( $animation_tmp );

$img          = wpb_getImageBySize( array(
    'attach_id'  => $image,
    'thumb_size' => $img_size,
    'class'      => '',
) );
$thumbnail    = $img['thumbnail'];

$el_social = (array) vc_param_group_parse_atts($social);

$styles_title = array(
    'color'          => $title_color,
    'font-size'      => $title_size,
);
$title_styles = '';
foreach ($styles_title as $key => $value) {
    if (!empty($value)) {
        $title_styles .= $key . ':' . $value . ';';
    }
}

$styles_position = array(
    'color'          => $position_color,
    'font-size'      => $position_size,
);
$position_styles = '';
foreach ($styles_position as $key => $value) {
    if (!empty($value)) {
        $position_styles .= $key . ':' . $value . ';';
    }
}

?>

<div id="<?php echo esc_attr($html_id) ?>" class="cms-team-layout2 <?php echo esc_attr($el_class.' '.$animation_classes); ?>">
    <div class="cms-team-inner">
        <div class="cms-team-image">
            <?php if (!empty($thumbnail)) : ?>
                <div class="overlay">
                    <?php echo wp_kses_post( $thumbnail ); ?>
                </div>
             <?php endif; ?>
            <div class="cms-team-social">
                <?php foreach ($el_social as $key => $value) {
                    $social_link = isset($value['social_link']) ? $value['social_link'] : '';
                    $icon_class = isset($value['icon']) ? $value['icon'] : ''; ?>
                    <a href="<?php echo esc_url($social_link); ?>"><i class="<?php echo esc_attr( $icon_class ); ?>"></i></a>
                <?php } ?>
            </div>
        </div>
        
        <div class="cms-team-meta">
            <h3 class="cms-team-title" <?php echo !empty($title_styles) ? 'style="' . esc_attr($title_styles) . '"' : '' ?>><?php echo esc_attr( $title ); ?></h3>
            <div class="cms-team-position" <?php echo !empty($position_styles) ? 'style="' . esc_attr($position_styles) . '"' : '' ?>><?php echo esc_attr( $position ); ?></div>
        </div>
    </div>
</div>