<?php
class CMS_TextBox_GITouch3 extends WP_Widget {

    function __construct() {
        parent::__construct(
            'cms_textbox_gitouch3',
            esc_html__('CMS Web & Email', 'arctecture'),
            array('description' => esc_html__('CMS Footer Web & Email', 'arctecture'),)
        );
    }

    function widget($args, $instance) {

        extract($args);
        $title = isset($instance['title']) ? (!empty($instance['title']) ? $instance['title']: 'Title Widget') : '';
        $text1 = isset($instance['text1']) ? (!empty($instance['text1']) ? $instance['text1']: 'Web 1') : '';
        $text2 = isset($instance['text2']) ? (!empty($instance['text2']) ? $instance['text2']: 'Web 2') : '';
        $text3 = isset($instance['text3']) ? (!empty($instance['text3']) ? $instance['text3']: 'Email 1') : '';
        $text4 = isset($instance['text4']) ? (!empty($instance['text4']) ? $instance['text4']: 'Email 2') : '';
        ?>



        <?php if(!empty($title)) : ?>
            <div class="widget cms-widget-footer clearfix">
                <h3 class="widget-title"><i class="fa fa-envelope-o" aria-hidden="true"></i> <?php echo esc_attr( $title ); ?></h3>
                <ul>
                    <li class="cms-widget-infor wg-infor-title"><?php echo esc_attr( $text1 ); ?></li>
                    <li class="cms-widget-infor wg-infor-phone"><?php echo esc_attr( $text2 ); ?></li>
                    <li class="cms-widget-infor wg-infor-email"><?php echo esc_attr( $text3 ); ?></li>
                    <li class="cms-widget-infor wg-infor-email"><?php echo esc_attr( $text4 ); ?></li>
                </ul>
            </div>
    <?php endif; }

    function update( $new_instance, $old_instance ) {
         $instance = $old_instance;
         $instance['title'] = strip_tags($new_instance['title']);
         $instance['text1'] = strip_tags($new_instance['text1']);
         $instance['text2'] = strip_tags($new_instance['text2']);
         $instance['text3'] = strip_tags($new_instance['text3']);
         $instance['text4'] = strip_tags($new_instance['text4']);

         return $instance;
    }

    function form( $instance ) {
         $title = isset($instance['title']) ? esc_attr($instance['title']) : '';
         $text1 = isset($instance['text1']) ? esc_attr($instance['text1']) : '';
         $text2 = isset($instance['text2']) ? esc_attr($instance['text2']) : '';
         $text3 = isset($instance['text3']) ? esc_attr($instance['text3']) : '';
         $text4 = isset($instance['text4']) ? esc_attr($instance['text4']) : '';
         ?>
         <p><label for="<?php echo esc_url($this->get_field_id('title')); ?>"><?php esc_html_e( 'Title', 'arctecture' ); ?></label>
         <input class="widefat" id="<?php echo esc_attr( $this->get_field_id('title') ); ?>" name="<?php echo esc_attr( $this->get_field_name('title') ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /></p>

         <p><label for="<?php echo esc_url($this->get_field_id('text1')); ?>"><?php esc_html_e( 'Web 1', 'arctecture' ); ?></label>
         <input class="widefat" id="<?php echo esc_attr( $this->get_field_id('text1') ); ?>" name="<?php echo esc_attr( $this->get_field_name('text1') ); ?>" type="text" value="<?php echo esc_attr( $text1 ); ?>" /></p>

         <p><label for="<?php echo esc_url($this->get_field_id('text2')); ?>"><?php esc_html_e( 'Web 2', 'arctecture' ); ?></label>
         <input class="widefat" id="<?php echo esc_attr( $this->get_field_id('text2') ); ?>" name="<?php echo esc_attr( $this->get_field_name('text2') ); ?>" type="text" value="<?php echo esc_attr( $text2 ); ?>" /></p>

         <p><label for="<?php echo esc_url($this->get_field_id('Button Text')); ?>"><?php esc_html_e( 'Email 1', 'arctecture' ); ?></label>
         <input class="widefat" id="<?php echo esc_attr( $this->get_field_id('text3') ); ?>" name="<?php echo esc_attr( $this->get_field_name('text3') ); ?>" type="text" value="<?php echo esc_attr( $text3 ); ?>" /></p>
         <p><label for="<?php echo esc_url($this->get_field_id('Button Text')); ?>"><?php esc_html_e( 'Email 2', 'arctecture' ); ?></label>
         <input class="widefat" id="<?php echo esc_attr( $this->get_field_id('text4') ); ?>" name="<?php echo esc_attr( $this->get_field_name('text4') ); ?>" type="text" value="<?php echo esc_attr( $text4 ); ?>" /></p>
    <?php
    }

}

function cms_textbox_gitouch3() {
    register_widget('CMS_TextBox_GITouch3');
}
add_action('widgets_init', 'cms_textbox_gitouch3'); ?>