<?php
/* Remove result count & product ordering & item product category..... */
add_action( 'init', 'arctecture_woocommerce_remove_function' );
function arctecture_woocommerce_remove_function() {
	remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10, 0 );
	
	//Item Shop
	remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5, 0 );
	remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10, 0 );
	remove_action( 'woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10, 0 );
	remove_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10, 0 );

    //Archive
    remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20, 0 );
    remove_action( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30, 0 );

	//Single
    remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_title', 5, 0 );
    remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 10, 0 );
    remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_rating', 10, 0 );
    remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_meta', 40, 0 );
    remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 20, 0 );
    remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30, 0 );
    remove_action( 'woocommerce_single_product_summary', 'WC_Structured_Data::generate_product_data()', 30, 0 );

    //remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_product_data_tabs', 10, 0 );

    //Taxonomy
    remove_action( 'woocommerce_archive_description', 'woocommerce_taxonomy_archive_description', 10, 0 );
}

/* Ajax update cart total number */
add_filter( 'woocommerce_add_to_cart_fragments', 'arctecture_woocommerce_header_add_to_cart_fragment' );
function arctecture_woocommerce_header_add_to_cart_fragment( $fragments ) {
	ob_start();
	?>
	<span class="couter_items"><?php echo sprintf (_n( '%d', '%d', WC()->cart->cart_contents_count, 'arctecture' ), WC()->cart->cart_contents_count ); ?></span>
	<?php
	
	$fragments['span.couter_items'] = ob_get_clean();
	
	return $fragments;
}

/* Ajax update cart item */
add_filter('woocommerce_add_to_cart_fragments', 'arctecture_woo_mini_cart_item_fragment');
function arctecture_woo_mini_cart_item_fragment( $fragments ) {
	global $woocommerce;
    ob_start();
    ?>
    <div class="widget_shopping_cart cms-box">
        <div class="widget_shopping_cart_content">
            <?php
            	$cart_is_empty = sizeof( $woocommerce->cart->get_cart() ) <= 0;
            ?>
            <ul class="cart_list product_list_widget">

			<?php if ( ! WC()->cart->is_empty() ) : ?>

				<?php
					foreach ( WC()->cart->get_cart() as $cart_item_key => $cart_item ) {
						$_product     = apply_filters( 'woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key );
						$product_id   = apply_filters( 'woocommerce_cart_item_product_id', $cart_item['product_id'], $cart_item, $cart_item_key );

						if ( $_product && $_product->exists() && $cart_item['quantity'] > 0 && apply_filters( 'woocommerce_widget_cart_item_visible', true, $cart_item, $cart_item_key ) ) {

							$product_name  = apply_filters( 'woocommerce_cart_item_name', $_product->get_title(), $cart_item, $cart_item_key );
							$thumbnail     = apply_filters( 'woocommerce_cart_item_thumbnail', $_product->get_image(), $cart_item, $cart_item_key );
							$product_price = apply_filters( 'woocommerce_cart_item_price', WC()->cart->get_product_price( $_product ), $cart_item, $cart_item_key );
							?>
							<li>
								<div class="cart-product-image">
									<a href="<?php echo esc_url( $_product->get_permalink( $cart_item ) ); ?>">
										<?php echo str_replace( array( 'http:', 'https:' ), '', $thumbnail ); ?>
									</a>
								</div>
								<div class="cart-product-meta">
									<h3><a href="<?php echo esc_url( $_product->get_permalink( $cart_item ) ); ?>"><?php echo esc_html($product_name); ?></a></h3>
									<?php echo apply_filters( 'woocommerce_widget_cart_item_quantity', '<span class="quantity">' . sprintf( '%s &times; %s', $cart_item['quantity'], $product_price ) . '</span>', $cart_item, $cart_item_key ); ?>
								</div>	
							</li>
							<?php
						}
					}
				?>

				<?php else : ?>

					<li class="empty"><?php esc_html_e( 'No products in the cart.', 'arctecture' ); ?></li>

				<?php endif; ?>

			</ul><!-- end product list -->
			<?php if ( ! WC()->cart->is_empty() ) : ?>

				<p class="total"><strong><?php esc_html_e( 'Subtotal', 'arctecture' ); ?>:</strong> <?php echo WC()->cart->get_cart_subtotal(); ?></p>

				<?php do_action( 'woocommerce_widget_shopping_cart_before_buttons' ); ?>

				<p class="buttons">
					<a href="<?php echo esc_url( wc_get_checkout_url() ); ?>" class="button checkout wc-forward"><?php esc_html_e( 'Checkout', 'arctecture' ); ?></a>
				</p>

			<?php endif; ?>
        </div>
    </div>
    <?php
    $fragments['div.widget_shopping_cart'] = ob_get_clean();
    return $fragments;
}

add_action( 'woocommerce_archive_description', 'arctecture_woocommerce_category_image', 2 );
function arctecture_woocommerce_category_image() {
	global $post, $product;
	
    if ( is_product_category() ){
	    global $wp_query;
	    $cat = $wp_query->get_queried_object();
	    $thumbnail_id = get_woocommerce_term_meta( $cat->term_id, 'thumbnail_id', true );
	    $image = wp_get_attachment_url( $thumbnail_id );
	    if ( $image ) { ?>
		    <div class="woocommerce-image-categries">
		    	<img src="<?php echo esc_url($image); ?>" />
		    	<?php 
		    		$description = wc_format_content( term_description() );
					if ( $description ) { ?>
					<div class="woocommerce-term-description">
						<?php echo wp_kses_post($description); ?>
					</div>
				<?php } ?>
		    </div>
		<?php }
	}
}

/* Show product per page */
function arctecture_loop_shop_per_page(){
	$product_per_page = arctecture_get_opt( 'product_per_page', '6' );

	if(isset($_REQUEST['loop_shop_per_page']) && !empty($_REQUEST['loop_shop_per_page'])) {
		return $_REQUEST['loop_shop_per_page'];
	} else {
		return $product_per_page;
	}
}
add_filter( 'loop_shop_per_page', 'arctecture_loop_shop_per_page' );

/* Add result count & product ordering */
add_action( 'woocommerce_before_shop_loop', 'arctecture_woocommerce_result_ordering', 2 );
function arctecture_woocommerce_result_ordering() { 
	global $post, $product; ?>
	<div class="woocommerce-meta clearfix">
		<div class="woocommerce-meta-ordering cms-select">
			<?php woocommerce_catalog_ordering(); ?>
		</div>
	</div>
<?php }

add_filter( 'woocommerce_product_add_to_cart_text', 'arctecture_custom_cart_button_text' );
function arctecture_custom_cart_button_text() {
    return esc_html__( 'Add to Cart', 'arctecture' );
}

add_filter( 'woocommerce_product_single_add_to_cart_text', 'arctecture_custom_cart_button_text_single' );
function arctecture_custom_cart_button_text_single() {
    return esc_html__( 'Add to Cart', 'arctecture' );
}

/* Change Breadcrumb Delimiter */
add_filter( 'woocommerce_breadcrumb_defaults', 'arctecture_change_breadcrumb_delimiter' );
function arctecture_change_breadcrumb_delimiter( $defaults ) {
	$defaults['delimiter'] = ' <i class="zmdi zmdi-chevron-right"></i> ';
	return $defaults;
}

/* Related Products */
function arctecture_related_text( $translated_text, $text, $domain ) {
    switch ( $translated_text ) {
        case 'Related products' :
            $translated_text = esc_html__( 'suggested products', 'arctecture' );
            break;
    }
    return $translated_text;
}
add_filter( 'gettext', 'arctecture_related_text', 20, 3 );

/* Replace text Onsale */
add_filter( 'woocommerce_sale_flash', 'arctecture_replace_sale_text' );
function arctecture_replace_sale_text( $html ) {

	$regular_price = get_post_meta( get_the_ID(), '_regular_price', true);
	$sale_price = get_post_meta( get_the_ID(), '_sale_price', true);

	$product_sale = '';
	$product_sale = intval( ( (intval($regular_price) - intval($sale_price)) / intval($regular_price) ) * 100);

	return str_replace( 'Sale!', '<span>' .$product_sale. '% '.esc_html__('OFF', 'arctecture').'</span>', $html );
}

/* Product Category */
add_filter( 'woocommerce_after_shop_loop_item', 'arctecture_woocommerce_product' );
function arctecture_woocommerce_product() { ?>
	<div class="woocommerce-product-inner">
		<div class="woocommerce-product-thumbnail">
			<a href="<?php the_permalink(); ?>">
				<?php woocommerce_template_loop_product_thumbnail(); ?>
			</a>
			<div class="woocommerce-add-to-cart">
		    	<?php woocommerce_template_loop_add_to_cart(); ?>
			</div>
		</div>
		<div class="woocommerce-product-meta">
			<h3 class="woocommerce-product-title title-link h-main">
				<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
			</h3>
			<?php woocommerce_template_loop_rating(); ?>
			<?php woocommerce_template_loop_price(); ?>
		</div>
	</div>
<?php }

/* Product Single: Summary */
add_action( 'woocommerce_before_single_product_summary', 'arctecture_woocommerce_single_summer_start', 0 );
function arctecture_woocommerce_single_summer_start() { ?>
	<?php echo '<div class="woocommerce-summary-wrap row">'; ?>
<?php }
/* Product Single: Gallery */
add_action( 'woocommerce_before_single_product_summary', 'arctecture_woocommerce_single_gallery_start', 0 );
function arctecture_woocommerce_single_gallery_start() { ?>
	<?php echo '<div class="woocommerce-gallery col-xl-6 col-lg-6 col-md-12">'; ?>
<?php }
add_action( 'woocommerce_before_single_product_summary', 'arctecture_woocommerce_single_gallery_end', 30 );
function arctecture_woocommerce_single_gallery_end() { ?>
	<?php echo '</div><div class="woocommerce-sinlge-info col-xl-6 col-lg-6 col-md-12">'; ?>
	<div class="summary entry-summary">
		<div class="product-detail-side">
			<?php echo woocommerce_template_single_title();?>
			<?php echo woocommerce_template_single_rating();?>
			<?php echo woocommerce_template_single_price();?>
		</div>
		<div class="woocommerce-desction">
			<?php echo woocommerce_template_single_excerpt();?>
			<?php echo woocommerce_template_single_meta();?>
			<div class="wp-form-action">
				<?php echo woocommerce_template_single_add_to_cart();?>
				<div class="woocommerce-single-view-bs">
					<?php woocommerce_widget_shopping_cart_button_view_cart();?>
	            </div>
			</div>
		</div>
    </div>
<?php }

add_action( 'woocommerce_after_single_product_summary', 'arctecture_woocommerce_single_summer_end', 5 );
function arctecture_woocommerce_single_summer_end() { ?>
	<?php echo '</div></div>'; ?>
<?php }

/**
 * Related: Custom post per page
 */
add_filter( 'woocommerce_output_related_products_args', 'arctecture_related_products_args' );
  function arctecture_related_products_args( $args ) {
	$args['posts_per_page'] = 4;
	$args['columns'] = 4;
	return $args;
}

/**
 * WooCommerce Product image Sizes
 */
function arctecture_add_size_woocommerce_support() {
    add_theme_support( 'woocommerce', array(
        'thumbnail_image_width' => 870,
        'thumbnail_image_height' => 870,
        'product_grid'          => array(
            'default_rows'    => 3,
            'min_rows'        => 2,
            'max_rows'        => 8,
            'default_columns' => 4,
            'min_columns'     => 2,
            'max_columns'     => 5,
        ),
    ) );
}
add_action( 'after_setup_theme', 'arctecture_add_size_woocommerce_support' );

add_filter('woocommerce_get_image_size_single', function ($size) {
    $size['width'] = 870;
    $size['height'] = 600;
    $size['crop'] = 1;
    return $size;
});